{"openapi":"3.0.0","info":{"title":"A2P平台服务北向接口","description":"A2P平台服务北向接口，提供对商家，服务号，菜单，主页，端口号生命周期管理，以及消息投放能力接口。并在资源变更时，会将信息通知到商家。 <b> <p>2020/3/26 2.0版本开始。</p> <p>2020/4/3 回调增加HwPubFollowChange：端侧用户关注/取关华为服务号的通知</p> <p>2020/4/11 新增华为服务号管理接口；新增华为服务号主页管理接口；</p> <p>2020/4/11 商家管理query接口返回商家信息，新增hwPubNum</p> <p>2020/4/11 资源变更通知，资源类型增加华为服务号、华为服务号主页</p> <p>2020/4/13 新增华为服务号消息接口/v1/hwpubmessage/send</p> <p>2020/4/20 补充错误码</p> <p>2020/4/28 回调增加HwPubMessageReciept：华为服务号消息投放结果回执通知。</p> <p>2020/4/29 商家add/update接口请求参数新增account和accountType，get接口返回参数新增account、accountType和accountStatus</p> <p>2020/5/6 华为服务号主页新增iconMenu</p> <p>2020/5/8 华为服务号消息接口新增错误码/v1/hwpubmessage/send：260001、260002、260003、260004、260005、260006、260007、260008、260009、260010</p> <p>2020/5/15 华为服务号主页，页面服务的跳转地址的扩展信息extMsg新增支持thirdServiceName</p> <p>2020/5/20 新增华为服务会话hw pub chat新增、修改、删除、查询接口消息</p>   <p>2020/5/21 华为服务号主页，add接口，iconMenu和horizontalSlide改为必填</p> <p>2020/5/21 华为服务号/v1/hwpub/add、/v1/hwpub/update、/v1/hwpub/get接口新增加slogan、sloganImg</p> <p>2020/5/21 /v1/hwpubchat/update接口version修改成非必填</p> <p>2020/5/21 新增商家服务号关注/取关接口</p> <p>2020/5/22 新增异常码：280001自主服务会话不存在、280002自主服务会话已存在、280003自主服务会话级别超出限制、280004自主服务会话数量超出限制、280005更新自主服务会话版本不一致、280006自主服务会话已经存在创建/修改审批流程，无法再发起创建/修改操作</p> <p>2020/5/22 接口/v1/hwpubchat/get的字段chatId为非必填</p> <p>2020/5/22 华为服务号消息投放结果回执通知status增加取值10</p> <p>2020/6/1 callback资源变更A2PResourceChange增加自主服务会话资源类型27</p> <p>2020/6/15 /v1/hwpubmessage/send接口新增varExts提供列表内容展示</p> <p>2020/6/5 新增错误码260011、260012</p> <p>2020/6/22 /v1/hwpubmessage/send接口删除varExts，全部放入vars中</p> <p>2020/7/20 修改/v1/hwpubportal/add接口abstract为非必填</p>     <p>2020/7/23 资源状态变更通知，ResourceType新增支持29-华为服务号自动回复，approveState新增支持2-退回修改</p>   <p>2020/7/24 /v1/hwpubmessage/send接口新增请求参数defaultMsg</p> <p>2020/7/31 修改/v1/hwpub/add、/v1/hwpub/update、/v1/hwpub/get接口，新增lev1IndustryCode、lev2IndustryCode</p> <p>2020/8/3 修改/v1/hwpub/add、/v1/hwpub/get接口，修改lev1IndustryCode、lev2IndustryCode字段为必填</p> <p>2020/8/4 修改/v1/hwpub/add、/v1/hwpub/update、/v1/hwpub/get接口，新增contact、tel、email字段</p> <p>2020/8/4 修改/v1/hwpubportal/add、/v1/hwpubportal/get接口，horizontalSlide为非必填，修改/v1/hwpubportal/add、/v1/hwpubportal/update、/v1/hwpubportal/get接口graphicComponent图文组件title为非必填</p> <p>2020/8/14 更新接口500错误码，拆分错误码到各接口</p> </b>\n","version":"1.2.0"},"servers":[{"url":"https://待确定/dev-napi/","description":"生产环境服务调用"},{"url":"https://测试环境/dev-napi/","description":"测试环境服务调用"}],"externalDocs":{"description":"使用华为账号注册成为开发者","url":"https://developer.huawei.com/consumer/cn/devservice/doc/50102"},"tags":[{"name":"merchant","description":"商家管理接口"},{"name":"media","description":"媒体文件管理接口(迭代一)"},{"name":"callback","description":"回调功能说明(迭代一)"},{"name":"hw pub","description":"华为服务号管理接口"},{"name":"hw pub portal","description":"华为服务号主页管理接口"},{"name":"hw pub chat","description":"华为服务号会话管理接口"},{"name":"hw pub message","description":"华为服务号消息接口"},{"name":"pub follow relation","description":"商家服务号关注/取关"}],"paths":{"/v1/merchant/add":{"post":{"tags":["merchant"],"summary":"创建一个商家（1.2版本新增）","parameters":[{"$ref":"#/components/parameters/AccessToken"},{"$ref":"#/components/parameters/APPID"},{"$ref":"#/components/parameters/AcceptJson"},{"$ref":"#/components/parameters/ContentTypeJson"}],"requestBody":{"description":"创建商家的Post内容","required":true,"content":{"application/json":{"schema":{"type":"object","required":["merchant"],"properties":{"merchant":{"$ref":"#/components/schemas/Merchant4Add"}}}}}},"responses":{"200":{"description":"请求成功，创建完成","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/TargetMerchant"},{"$ref":"#/components/schemas/CallbackSN"}]}}}},"401":{"$ref":"#/components/responses/401InvalidSession"},"404":{"$ref":"#/components/responses/404Notfound"},"500":{"$ref":"#/components/responses/500InternalError4MerchantAdd"}}}},"/v1/merchant/update":{"post":{"tags":["merchant"],"summary":"修改一个商家（1.2版本新增）","parameters":[{"$ref":"#/components/parameters/AccessToken"},{"$ref":"#/components/parameters/APPID"},{"$ref":"#/components/parameters/AcceptJson"},{"$ref":"#/components/parameters/ContentTypeJson"}],"requestBody":{"description":"修改商家Post内容","required":true,"content":{"application/json":{"schema":{"type":"object","required":["merchantId","merchant","changeReason"],"allOf":[{"$ref":"#/components/schemas/TargetMerchant"},{"$ref":"#/components/schemas/ResourceVersion"}],"properties":{"merchant":{"$ref":"#/components/schemas/Merchant4Update"},"changeReason":{"type":"string","description":"修改描述"}}}}}},"responses":{"200":{"description":"请求成功，修改完成","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/TargetMerchant"},{"$ref":"#/components/schemas/CallbackSN"}]}}}},"401":{"$ref":"#/components/responses/401InvalidSession"},"404":{"$ref":"#/components/responses/404Notfound"},"500":{"$ref":"#/components/responses/500InternalError4MerchantUpdate"}}}},"/v1/merchant/query":{"post":{"tags":["merchant"],"summary":"查询下属商家","parameters":[{"$ref":"#/components/parameters/AccessToken"},{"$ref":"#/components/parameters/APPID"},{"$ref":"#/components/parameters/AcceptJson"},{"$ref":"#/components/parameters/ContentTypeJson"}],"requestBody":{"content":{"application/json":{"schema":{"required":["pageRequest"],"type":"object","properties":{"pageRequest":{"description":"分页信息。如果不填写此字段，则查询开发者下所有的商家信息。","allOf":[{"$ref":"#/components/schemas/PageRequest"}]}}}}}},"responses":{"200":{"description":"请求成功","content":{"application/json":{"schema":{"type":"object","allOf":[{"$ref":"#/components/schemas/PagedResult"}],"properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/MerchantProfile"}}}}}}},"401":{"$ref":"#/components/responses/401InvalidSession"},"404":{"$ref":"#/components/responses/404Notfound"},"500":{"$ref":"#/components/responses/500InternalErrorCommon"}}}},"/v1/merchant/get":{"post":{"tags":["merchant"],"summary":"查询指定商家（1.2版本新增）","parameters":[{"$ref":"#/components/parameters/AccessToken"},{"$ref":"#/components/parameters/APPID"},{"$ref":"#/components/parameters/AcceptJson"},{"$ref":"#/components/parameters/ContentTypeJson"}],"requestBody":{"description":"修改商家Post内容","required":true,"content":{"application/json":{"schema":{"type":"object","required":["merchantId"],"allOf":[{"$ref":"#/components/schemas/TargetMerchant"}]}}}},"responses":{"200":{"description":"请求成功","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/MerchantDetail"}]}}}},"401":{"$ref":"#/components/responses/401InvalidSession"},"404":{"$ref":"#/components/responses/404Notfound"},"500":{"$ref":"#/components/responses/500InternalErrorCommon"}}}},"/v1/media/upload":{"post":{"tags":["media"],"summary":"商家上传素材接口。暂时只支持图片。","parameters":[{"$ref":"#/components/parameters/AccessToken"},{"$ref":"#/components/parameters/APPID"},{"$ref":"#/components/parameters/ContentTypeFormData"}],"requestBody":{"description":"<p>单个文件上传。图片支持jpg,jpeg,bmp,png格式的图片。文件大小不得大于5M。此处统一说明各场景使用图片的分辨率与比例要求。</p>  <p>服务号与主页logo。要求分辨率必须大于等于240*240且比例一致</p> <p>快应用logo。要求分辨率必须大于等于184*184且比例一致</p> <p>图文消息顶端大图。要求分辨率必须大于等于1312*500且比例一致</p> <p>图文消息下端小图。要求分辨率必须大于等于180*180且比例一致</p> <p>服务号主页背景图。要求分辨率必须大于等于1440*810且比例一致</p> <p>其他文件，比如资质证明，不要求分辨率</p>\n","required":true,"content":{"application/json":{"schema":{"required":["file"],"properties":{"file":{"type":"string","format":"binary","description":"商家上传文件的byte流"}}}}}},"responses":{"200":{"description":"请求成功。","content":{"application/json":{"schema":{"properties":{"mediaId":{"type":"string","description":"媒体文件ID"},"timestamp":{"type":"integer","format":"int64","description":"创建成功的时间戳"}}}}}},"401":{"$ref":"#/components/responses/401InvalidSession"},"500":{"$ref":"#/components/responses/500InternalError4MediaUpload"}}}},"/callback":{"post":{"tags":["callback"],"summary":"此接口仅用于演示回调场景，不可直接进行调用。A2P平台会调用开发者在入驻时提供的回调地址。","responses":{"200":{"description":"成功"},"500":{"$ref":"#/components/responses/500ExternalError"}},"callbacks":{"A2PResourceChange":{"$ref":"#/components/callbacks/A2PResourceChange"},"HwPubFollowChange":{"$ref":"#/components/callbacks/HwPubFollowChange"},"HwPubMessageReciept":{"$ref":"#/components/callbacks/HwPubMessageReciept"}}}},"/v1/hwpub/add":{"post":{"tags":["hw pub"],"summary":"创建华为服务号","parameters":[{"$ref":"#/components/parameters/AccessToken"},{"$ref":"#/components/parameters/APPID"},{"$ref":"#/components/parameters/AcceptJson"},{"$ref":"#/components/parameters/ContentTypeJson"}],"requestBody":{"description":"创建华为服务号。创建华为服务号会需要经过审核，审核后会使用资源状态变更回调（见callback章节）通知。在审核期间，使用查询接口能够查询到华为服务号的审核状态。","required":true,"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/TargetMerchant"}],"required":["pub"],"properties":{"pub":{"required":["merchantId"],"allOf":[{"$ref":"#/components/schemas/HwPubService4Add"}]}}}}}},"responses":{"200":{"description":"请求成功，创建完成","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/TargetHwPub"},{"$ref":"#/components/schemas/CallbackSN"}],"type":"object"}}}},"401":{"$ref":"#/components/responses/401InvalidSession"},"404":{"$ref":"#/components/responses/404Notfound"},"500":{"$ref":"#/components/responses/500InternalError4HwpubAdd"}}}},"/v1/hwpub/update":{"post":{"tags":["hw pub"],"summary":"修改指定华为服务号","parameters":[{"$ref":"#/components/parameters/AccessToken"},{"$ref":"#/components/parameters/APPID"},{"$ref":"#/components/parameters/AcceptJson"},{"$ref":"#/components/parameters/ContentTypeJson"}],"requestBody":{"description":"修改华为服务号Post内容。修改华为服务号会需要经过审核，审核后会使用资源状态变更回调（见callback章节）通知。在审核期间，使用查询接口能够查询到华为服务号的审核状态。","required":true,"content":{"application/json":{"schema":{"type":"object","required":["pub","changeReason"],"properties":{"pub":{"$ref":"#/components/schemas/HwPubService4Update"},"changeReason":{"type":"string","description":"修改描述"}},"allOf":[{"$ref":"#/components/schemas/TargetHwPub"},{"$ref":"#/components/schemas/ResourceVersion"}]}}}},"responses":{"200":{"description":"请求成功，修改完成","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/TargetHwPub"},{"$ref":"#/components/schemas/CallbackSN"}],"type":"object"}}}},"401":{"$ref":"#/components/responses/401InvalidSession"},"404":{"$ref":"#/components/responses/404Notfound"},"500":{"$ref":"#/components/responses/500InternalError4HwpubUpdate"}}}},"/v1/hwpub/query":{"post":{"tags":["hw pub"],"summary":"查询下属华为服务号","parameters":[{"$ref":"#/components/parameters/AccessToken"},{"$ref":"#/components/parameters/APPID"},{"$ref":"#/components/parameters/AcceptJson"},{"$ref":"#/components/parameters/ContentTypeJson"}],"requestBody":{"description":"查询华为服务号请求结构","required":true,"content":{"application/json":{"schema":{"type":"object","required":["merchantId","pageRequest"],"properties":{"pageRequest":{"description":"分页信息","allOf":[{"$ref":"#/components/schemas/PageRequest"}]},"merchantId":{"type":"string","description":"商家ID"}}}}}},"responses":{"200":{"description":"请求成功","content":{"application/json":{"schema":{"type":"object","required":["pubs"],"allOf":[{"$ref":"#/components/schemas/PagedResult"}],"properties":{"pubs":{"type":"array","items":{"$ref":"#/components/schemas/HwPubProfile"}}}}}}},"401":{"$ref":"#/components/responses/401InvalidSession"},"404":{"$ref":"#/components/responses/404Notfound"},"500":{"$ref":"#/components/responses/500InternalErrorCommon"}}}},"/v1/hwpub/get":{"post":{"tags":["hw pub"],"summary":"查询指定华为服务号","parameters":[{"$ref":"#/components/parameters/AccessToken"},{"$ref":"#/components/parameters/APPID"},{"$ref":"#/components/parameters/AcceptJson"},{"$ref":"#/components/parameters/ContentTypeJson"}],"requestBody":{"description":"查询单个华为服务号的请求结构","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TargetHwPub"}}}},"responses":{"200":{"description":"请求成功","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HwPubDetail"}}}},"401":{"$ref":"#/components/responses/401InvalidSession"},"404":{"$ref":"#/components/responses/404Notfound"},"500":{"$ref":"#/components/responses/500InternalErrorCommon"}}}},"/v1/hwpub/freeze":{"post":{"tags":["hw pub"],"summary":"冻结指定华为服务号","parameters":[{"$ref":"#/components/parameters/AccessToken"},{"$ref":"#/components/parameters/APPID"},{"$ref":"#/components/parameters/AcceptJson"},{"$ref":"#/components/parameters/ContentTypeJson"}],"requestBody":{"description":"指定华为服务号信息","required":true,"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/TargetHwPub"}],"type":"object","required":["description","changeReason"],"properties":{"changeReason":{"type":"string","description":"冻结原因说明"}}}}}},"responses":{"200":{"description":"请求成功","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/TargetHwPub"},{"$ref":"#/components/schemas/CallbackSN"}],"type":"object"}}}},"401":{"$ref":"#/components/responses/401InvalidSession"},"404":{"$ref":"#/components/responses/404Notfound"},"500":{"$ref":"#/components/responses/500InternalError4HwpubFreeze"}}}},"/v1/hwpubportal/add":{"post":{"tags":["hw pub portal"],"summary":"在指定华为服务号下创建主页","parameters":[{"$ref":"#/components/parameters/AccessToken"},{"$ref":"#/components/parameters/APPID"},{"$ref":"#/components/parameters/AcceptJson"},{"$ref":"#/components/parameters/ContentTypeJson"}],"requestBody":{"description":"创建华为服务号主页输入内容。创建华为服务号主页会需要经过审核，审核后会使用资源状态变更回调（见callback章节）通知。在审核期间，使用查询接口能够查询到华为服务号主页的审核状态。","required":true,"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/TargetHwPub"}],"required":["portal"],"properties":{"portal":{"$ref":"#/components/schemas/HwPubPortal4Add"}}}}}},"responses":{"200":{"description":"请求成功","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/TargetHwPubPortal"},{"$ref":"#/components/schemas/CallbackSN"}],"type":"object"}}}},"401":{"$ref":"#/components/responses/401InvalidSession"},"404":{"$ref":"#/components/responses/404Notfound"},"500":{"$ref":"#/components/responses/500InternalError4HwpubportalAdd"}}}},"/v1/hwpubportal/update":{"post":{"tags":["hw pub portal"],"summary":"在指定华为服务号，修改主页","parameters":[{"$ref":"#/components/parameters/AccessToken"},{"$ref":"#/components/parameters/APPID"},{"$ref":"#/components/parameters/AcceptJson"},{"$ref":"#/components/parameters/ContentTypeJson"}],"requestBody":{"description":"修改华为服务号主页输入内容","required":true,"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/TargetHwPubPortal"},{"$ref":"#/components/schemas/ResourceVersion"}],"required":["portal","changeReason"],"properties":{"portal":{"$ref":"#/components/schemas/HwPubPortal4Update"},"changeReason":{"type":"string","description":"修改描述"}}}}}},"responses":{"200":{"description":"请求成功","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/TargetHwPubPortal"},{"$ref":"#/components/schemas/CallbackSN"}],"type":"object"}}}},"401":{"$ref":"#/components/responses/401InvalidSession"},"404":{"$ref":"#/components/responses/404Notfound"},"500":{"$ref":"#/components/responses/500InternalError4HwpubportalUpdate"}}}},"/v1/hwpubportal/delete":{"post":{"tags":["hw pub portal"],"summary":"在指定华为服务号，删除主页","parameters":[{"$ref":"#/components/parameters/AccessToken"},{"$ref":"#/components/parameters/APPID"},{"$ref":"#/components/parameters/AcceptJson"},{"$ref":"#/components/parameters/ContentTypeJson"}],"requestBody":{"description":"删除华为服务号主页输入内容","required":true,"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/TargetHwPubPortal"}]}}}},"responses":{"200":{"description":"请求成功","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/TargetHwPubPortal"},{"$ref":"#/components/schemas/CallbackSN"}],"type":"object"}}}},"401":{"$ref":"#/components/responses/401InvalidSession"},"404":{"$ref":"#/components/responses/404Notfound"},"500":{"$ref":"#/components/responses/500InternalErrorCommon"}}}},"/v1/hwpubportal/get":{"post":{"tags":["hw pub portal"],"summary":"在指定华为服务号查询主页内容","parameters":[{"$ref":"#/components/parameters/AccessToken"},{"$ref":"#/components/parameters/APPID"},{"$ref":"#/components/parameters/AcceptJson"},{"$ref":"#/components/parameters/ContentTypeJson"}],"requestBody":{"description":"查询华为服务号主页输入内容","required":true,"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/TargetHwPubPortal"}]}}}},"responses":{"200":{"description":"请求成功","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/HwPubPortalProfile"}],"type":"object"}}}},"401":{"$ref":"#/components/responses/401InvalidSession"},"404":{"$ref":"#/components/responses/404Notfound"},"500":{"$ref":"#/components/responses/500InternalErrorCommon"}}}},"/v1/hwpubchat/add":{"post":{"tags":["hw pub chat"],"summary":"在指定华为服务号下创建会话","parameters":[{"$ref":"#/components/parameters/AccessToken"},{"$ref":"#/components/parameters/APPID"},{"$ref":"#/components/parameters/AcceptJson"},{"$ref":"#/components/parameters/ContentTypeJson"}],"requestBody":{"description":"创建华为服务号会话输入内容。创建华为服务号会话会需要经过审核，审核后会使用资源状态变更回调（见callback章节）通知。创建、修改的会话信息是有顺序的，需要按顺序组装消息。","required":true,"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/TargetHwPub"}],"required":["chat"],"properties":{"chat":{"$ref":"#/components/schemas/HwPubChat4Add"}}}}}},"responses":{"200":{"description":"请求成功","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/TargetHwPubChat"},{"$ref":"#/components/schemas/CallbackSN"}],"type":"object"}}}},"401":{"$ref":"#/components/responses/401InvalidSession"},"404":{"$ref":"#/components/responses/404Notfound"},"500":{"$ref":"#/components/responses/500InternalError4HwpubchatAdd"}}}},"/v1/hwpubchat/update":{"post":{"tags":["hw pub chat"],"summary":"在指定华为服务号，修改会话","parameters":[{"$ref":"#/components/parameters/AccessToken"},{"$ref":"#/components/parameters/APPID"},{"$ref":"#/components/parameters/AcceptJson"},{"$ref":"#/components/parameters/ContentTypeJson"}],"requestBody":{"description":"修改华为服务号会话内容","required":true,"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/TargetHwPubChat"},{"$ref":"#/components/schemas/ResourceVersion"}],"required":["chat","changeReason"],"properties":{"chat":{"$ref":"#/components/schemas/HwPubChat4Update"},"changeReason":{"type":"string","description":"修改描述"}}}}}},"responses":{"200":{"description":"请求成功","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/TargetHwPubChat"},{"$ref":"#/components/schemas/CallbackSN"}],"type":"object"}}}},"401":{"$ref":"#/components/responses/401InvalidSession"},"404":{"$ref":"#/components/responses/404Notfound"},"500":{"$ref":"#/components/responses/500InternalError4HwpubchatUpdate"}}}},"/v1/hwpubchat/delete":{"post":{"tags":["hw pub chat"],"summary":"在指定华为服务号，删除自主服务会话","parameters":[{"$ref":"#/components/parameters/AccessToken"},{"$ref":"#/components/parameters/APPID"},{"$ref":"#/components/parameters/AcceptJson"},{"$ref":"#/components/parameters/ContentTypeJson"}],"requestBody":{"description":"删除华为自主服务会话输入内容","required":true,"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/TargetHwPubChat"}]}}}},"responses":{"200":{"description":"请求成功","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/TargetHwPubChat"},{"$ref":"#/components/schemas/CallbackSN"}],"type":"object"}}}},"401":{"$ref":"#/components/responses/401InvalidSession"},"404":{"$ref":"#/components/responses/404Notfound"},"500":{"$ref":"#/components/responses/500InternalErrorCommon"}}}},"/v1/hwpubchat/get":{"post":{"tags":["hw pub chat"],"summary":"在指定华为服务号查询自主服务会话内容","parameters":[{"$ref":"#/components/parameters/AccessToken"},{"$ref":"#/components/parameters/APPID"},{"$ref":"#/components/parameters/AcceptJson"},{"$ref":"#/components/parameters/ContentTypeJson"}],"requestBody":{"description":"查询华为服务号自主服务会话输入内容","required":true,"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/TargetHwPubChatForGet"}]}}}},"responses":{"200":{"description":"请求成功","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/HwPubChatProfile"}],"type":"object"}}}},"401":{"$ref":"#/components/responses/401InvalidSession"},"404":{"$ref":"#/components/responses/404Notfound"},"500":{"$ref":"#/components/responses/500InternalErrorCommon"}}}},"/v1/hwpubmessage/send":{"post":{"tags":["hw pub message"],"summary":"华为服务号给单个用户发送通知消息。","parameters":[{"$ref":"#/components/parameters/AccessToken"},{"$ref":"#/components/parameters/APPID"},{"$ref":"#/components/parameters/AcceptJson"},{"$ref":"#/components/parameters/ContentTypeJson"}],"requestBody":{"description":"华为服务号给单个用户发送通知消息。","required":true,"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/HwPubMessage4Notify"}],"required":["serviceOrderId","serviceOrderFlag"],"properties":{"serviceOrderId":{"type":"string","description":"商家为用户提供的服务ID，如，某个订单ID，查询某个航班信息的事件ID。"},"serviceOrderFlag":{"type":"integer","description":"服务结束标记：0：服务进行中，1：服务结束"},"defaultMsg":{"type":"object","description":"兜底消息。发送新模板样式的消息时必须填写。端侧无法识新模板样式的消息时，会使用兜底消息来展示。","required":["title","content"],"properties":{"title":{"type":"string","description":"兜底消息标题。"},"content":{"type":"string","description":"兜底消息内容。"}}}}}}}},"responses":{"200":{"description":"请求成功。此请求已经被正确处理并开始投放","content":{"application/json":{"schema":{"properties":{"batchId":{"type":"string","description":"批次ID号，消息回执中会使用此ID通知。"}}}}}},"401":{"$ref":"#/components/responses/401InvalidSession"},"500":{"$ref":"#/components/responses/500InternalError4HWMsg"}}}},"/v1/hwpubfollow/update":{"post":{"tags":["pub follow relation"],"summary":"商家通知华为服务号关注/取关","parameters":[{"$ref":"#/components/parameters/AccessToken"},{"$ref":"#/components/parameters/APPID"},{"$ref":"#/components/parameters/AcceptJson"},{"$ref":"#/components/parameters/ContentTypeJson"}],"requestBody":{"description":"商家通知华为服务号关注/取关","required":true,"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/TargetPub"}],"required":["appId","openId","oprTimestamp","oprType"],"properties":{"appId":{"type":"string","description":"商家快应用/应用appId。"},"openId":{"type":"string","description":"商家快应用/应用的用户标识openId"},"oprTimestamp":{"type":"integer","format":"int64","description":"关注/取关发生的时间戳"},"oprType":{"type":"integer","description":"操作类型：\n<p>0-取关</p>\n<p>1-关注</p>\n","enum":[0,1]}}}}}},"responses":{"200":{"description":"请求成功","content":{"application/json":{"schema":{"properties":{"pubOpenId":{"type":"string","description":"商家服务号的用户openId"},"pubUnionId":{"type":"string","description":"商家服务号的用户UnionId"}}}}}},"401":{"$ref":"#/components/responses/401InvalidSession"},"404":{"$ref":"#/components/responses/404Notfound"},"500":{"$ref":"#/components/responses/500InternalError4Hwpubfollow"}}}}},"components":{"schemas":{"ErrorCode":{"type":"integer","description":"返回错误码：\n  \n  <p>100001-参数不合法</p>\n  <p>100002-系统异常</p>\n  <p>100003-accessToken或者APPID不合法</p>\n  <p>120001-上传图片大小不合规</p>\n  <p>120002-图片文件不存在</p>\n  <p>120003-不合法的图片文件类型</p>\n  <p>120004-开发者已经被注册</p>\n  <p>120005-商家已经被注册</p>\n  <p>120006-服务号已经被注册</p>\n  <p>120007-端口已经被注册</p>\n  <p>120008-菜单已被注册</p>\n  <p>120009-端口号已被其他服务号引用</p>\n  <p>120010-开发者不存在</p>\n  <p>120011-商家不存在或者未生效</p>\n  <p>120012-服务号不存在或者未生效</p>\n  <p>120013-端口号不存在或者未生效</p>\n  <p>120014-开发者未生效</p>\n  <p>120015-商家未生效</p>\n  <p>120016-服务号未生效</p>\n  <p>120017-端口未生效</p>\n  <p>120018-资源已经存在创建/修改审批流程，无法再发起创建/修改操作</p>\n  <p>120019-资源已经处于冻结状态或有冻结审批流程，无法再发起冻结操作</p>\n  <p>120020-资源不在冻结状态或已经有解冻审批流程，无法进行解冻操作</p>\n  <p>120021-开发者的商家超过限制</p>\n  <p>120022-商家的服务号超过限制</p>\n  <p>120023-商家的端口号超过限制</p>\n  <p>120024-开发者的消息模板超过限制</p>\n  <p>120025-商家消息能力已经被冻结</p>\n  <p>120026-此类消息模板不允许输入可变参数</p>\n  <p>120027-此类消息模板不允许填写图片</p>\n  <p>120028-端口，服务号有效期不允许超过商家有效期</p>\n  <p>120029-不允许提前有效期</p>\n  <p>120030-引用的图片尺寸或者格式不正确，比如不能将主页背景图片使用在服务号logo的位置</p>\n  <p>120031-商家已经被冻结</p>\n  <p>120032-服务号已经被冻结</p>\n  <p>120033-端口号已经被冻结</p>\n  <p>120034-商家还未到生效时间</p>\n  <p>120035-服务号还未到生效时间</p>\n  <p>120036-端口还未到生效时间</p>\n  <p>120037-商家已失效</p>\n  <p>120038-服务号已失效</p>\n  <p>120039-端口已失效</p>\n  <p>120040-商家未生效或被冻结</p>\n  <p>120041-服务号未生效或被冻结</p>\n  <p>120042-端口号未生效或被冻结</p>\n  <p>120043-主页已被注册</p>\n  <p>120044-主页内的快应用个数超过限制</p>\n  <p>120045-消息模板不存在</p>\n  <p>120046-主页不存在</p>\n  <p>120047-商家消息能力已失效</p>\n  <p>120048-商家下属服务号超过限制</p>\n  <p>120049-服务号下属端口号超过限制</p>\n  <p>120050-菜单不存在</p>\n  <p>120051-服务号的菜单超过限制</p>\n  <p>120052-端口号已经被抢注，不允许冻结，可以到抢注此端口号的商家去冻结端口号</p>\n  <p>120053-更新资源版本不一致</p>\n  <p>120054-该用户投诉不存在</p>\n  <p>120055-该用户投诉截图不存在</p>\n  <p>120056-端口号未绑定服务号，或者绑定的服务号未生效或已失效或被冻结</p>\n  <p>120068-新服务号和老服务号重复</p>\n  <p>120072-区域编码不存在</p>\n  <p>120073-端口服务号绑定关系的区域编码重复</p>\n  <p>120074-端口绑定的服务号重复</p>\n  <p>120075-服务号name重复时remark不允许重复</p>\n  <p>120076-多服务号端口时缺少pubId</p>\n  <p>120077-端口号与服务号未绑定</p>\n  <p>120091-华为服务号名称存在</p>\n  <p>120092-华为服务号AppId存在</p>\n  <p>120093-华为服务号的华为账号存在</p>\n  <p>120094-华为服务号数量超过限制</p>\n  <p>120095-华为服务号不存在</p>\n  <p>120096-华为服务号已被冻结</p>\n  <p>120102-华为服务号未生效，不支持修改</p>\n  <p>120103-华为服务号主页不存在</p>\n  <p>120104-华为服务号主页已被注册</p>\n  <p>160001-设备被锁定，请求失败</p>\n  <p>160002-未找到此设备的开通记录</p>\n  <p>160003-用户未开通</p>\n  <p>160004-号码已被注册为白名单</p>\n  <p>160005-白名单不存在</p>\n  <p>160006-黑名单不存在</p>\n  <p>160007-北向删除寻址开关关闭</p>\n  <p>160008-南向哈希上报开关关闭</p>\n  <p>160009-北向接口验签失败</p>\n  <p>160010-寻址开关关闭，请联系华为工程师</p>\n  <p>160012-未开通A2P</p>\n  <p>230002-不允许删除预置模板</p>\n  <p>280001-自主服务会话不存在</p>\n  <p>280002-自主服务会话已存在</p>\n  <p>280003-自主服务会话级别超出限制</p>\n  <p>280004-自主服务会话数量超出限制</p>\n  <p>280005-更新自主服务会话版本不一致</p>\n  <p>280006-自主服务会话已经存在创建/修改审批流程，无法再发起创建/修改操作</p>        \n","enum":[100001,100002,100003,120001,120002,120003,120004,120005,120006,120007,120008,120009,120010,120011,120012,120013,120014,120015,120016,120017,120018,120019,120020,120021,120022,120023,120024,120025,120026,120027,120028,120029,120030,120031,120032,120033,120034,120035,120036,120037,120038,120039,120040,120041,120042,120043,120044,120045,120046,120047,120048,120049,120050,120051,120052,120053,120054,120055,120056,120068,120072,120073,120074,120075,120076,120077,120091,120092,120093,120094,120095,120096,120102,120103,120104,160001,160002,160003,160004,160005,160006,160007,160008,160009,160010,160012,230002,280001,280002,280003,280004,280005,280006]},"MessageDeliverErrorCode4Tel":{"type":"integer","description":"返回错误码：\n  \n  <p>130006-目标用户未开通（号码寻址不存在）</p>\n  <p>130007-目标用户在黑名单中</p>\n  <p>130008-当前用户不是测试用户，无法发送测试消息(测试消息专属)</p>\n  <p>130010-用户不支持此消息模板</p>\n  <p>130015-用户电话号码去激活（未绑定设备，号码寻址保留），无法发送消息</p>\n","enum":[130006,130007,130008,130010,130015]},"MessageDeliverErrorCode4HWMsg":{"type":"integer","description":"返回错误码：\n\n  <p>100005-系统内部流控</p>        \n  <p>260001-指定开发者不存在</p>\n  <p>260002-指定商家不存在或已被冻结</p>\n  <p>260003-指定服务号不存在或已被冻结</p>\n  <p>260004-目标用户标志不存在</p>\n  <p>260005-目标用户在黑名单中</p>\n  <p>260006-消息模板不存在</p>\n  <p>260007-包含敏感词，不允许发送</p>\n  <p>260008-敏感词检查时发生异常</p>\n  <p>260009-消息长度超过限制</p>\n  <p>260010-目标用户未关注华为服务号</p>\n  <p>260011-模板类型不合法</p>\n  <p>260012-跳转链接前缀或者应用包名不在白名单中</p>\n","enum":[100005,260001,260002,260003,260004,260005,260006,260007,260008,260009,260010,260011,260012]},"MessageDeliverErrorCode":{"type":"integer","description":"返回错误码：\n  <p>100001-参数不合法</p>\n  <p>100002-系统异常</p>\n  <p>100003-accessToken或者APPID不合法</p>\n  <p>130001-指定开发者不存在</p>\n  <p>130002-指定商家不存在或已被冻结</p>\n  <p>130003-指定端口号不存在或已被冻结</p>\n  <p>130004-指定服务号不存在或已被冻结</p>\n  <p>130005-当前时段不允许发送消息</p>\n  <p>130009-消息模板不存在</p>\n  <p>130011-端口号未绑定服务号</p>\n  <p>130012-包含敏感词，不允许发送</p>\n  <p>130013-敏感词检查时发生异常</p>\n  <p>130014-消息长度超过限制</p>\n  <p>130016-多服务号端口发送消息时缺少pubId</p>\n  <p>130017-端口号与服务号未绑定</p>\n  <p>100005-系统内部流控</p>\n","enum":[100001,100002,100003,130001,130002,130003,130004,130005,130009,130011,130012,130013,130014,130016,130017,100005]},"ErrorMsg":{"type":"object","description":"错误信息","required":["code","message"],"properties":{"code":{"$ref":"#/components/schemas/ErrorCode"},"message":{"type":"string"}}},"ErrorMsg4MerchantAdd":{"type":"object","description":"错误信息","required":["code","message"],"properties":{"code":{"type":"integer","description":"返回错误码：\n\n  <p>100001-参数不合法</p>\n  <p>100002-系统异常</p>\n  <p>100003-accessToken或者APPID不合法</p>\n  <p>100005-系统内部流控</p>\n  <p>120002-图片文件不存在</p>\n  <p>120004-开发者已经被注册</p>\n  <p>120005-商家已经被注册</p>\n  <p>120018-资源已经存在创建/修改审批流程，无法再发起创建/修改操作</p>\n  <p>120021-开发者的商家超过限制</p>\n  <p>120107-商家华为账号已存在</p>\n  <p>120108-appid不存在或者不属于商家的开发者</p>\n  <p>120111-商家华为账号不存在或已注销</p>\n  <p>120112-商家华为账号的uid重复</p>\n","enum":[100001,100002,100003,100005,120002,120004,120005,120018,120021,120107,120108,120111,120112]},"message":{"type":"string"}}},"ErrorMsg4MerchantUpdate":{"type":"object","description":"错误信息","required":["code","message"],"properties":{"code":{"type":"integer","description":"返回错误码：\n\n  <p>100001-参数不合法</p>\n  <p>100002-系统异常</p>\n  <p>100003-accessToken或者APPID不合法</p>\n  <p>100005-系统内部流控</p>\n  <p>120002-图片文件不存在</p>\n  <p>120010-开发者不存在</p>\n  <p>120011-商家不存在或者未生效</p>\n  <p>120014-开发者未生效</p>\n  <p>120015-商家未生效</p>\n  <p>120018-资源已经存在创建/修改审批流程，无法再发起创建/修改操作</p>\n  <p>120053-更新资源版本不一致</p>\n  <p>120107-商家华为账号已存在</p>\n  <p>120110-不允许修改商家已有的华为账号</p>\n  <p>120111-商家华为账号不存在或已注销</p>\n  <p>120112-商家华为账号的uid重复</p>\n","enum":[100001,100002,100003,100005,120002,120010,120011,120014,120015,120018,120053,120107,120110,120111,120112]},"message":{"type":"string"}}},"ErrorMsg4Common":{"type":"object","description":"错误信息","required":["code","message"],"properties":{"code":{"type":"integer","description":"返回错误码：\n\n  <p>100001-参数不合法</p>\n  <p>100002-系统异常</p>\n  <p>100003-accessToken或者APPID不合法</p>\n  <p>100005-系统内部流控</p>\n","enum":[100001,100002,100003,100005]},"message":{"type":"string"}}},"ErrorMsg4PortAdd":{"type":"object","description":"错误信息","required":["code","message"],"properties":{"code":{"type":"integer","description":"返回错误码：\n\n  <p>100001-参数不合法</p>\n  <p>100002-系统异常</p>\n  <p>100003-accessToken或者APPID不合法</p>\n  <p>100005-系统内部流控</p>\n  <p>120007-端口已经被注册</p>\n  <p>120011-商家不存在或者未生效</p>\n  <p>120015-商家未生效</p>\n  <p>120018-资源已经存在创建/修改审批流程，无法再发起创建/修改操作</p>\n  <p>120023-商家的端口号超过限制</p>\n  <p>120028-端口，服务号有效期不允许超过商家有效期</p>\n  <p>120029-不允许提前有效期</p>\n  <p>120031-商家已经被冻结</p>\n  <p>120034-商家还未到生效时间</p>\n  <p>120037-商家已失效</p>\n  <p>120040-商家未生效或被冻结</p>\n","enum":[100001,100002,100003,100005,120007,120011,120015,120018,120023,120028,120029,120031,120034,120037,120040]},"message":{"type":"string"}}},"ErrorMsg4TemplateAdd":{"type":"object","description":"错误信息","required":["code","message"],"properties":{"code":{"type":"integer","description":"返回错误码：\n\n  <p>100001-参数不合法</p>\n  <p>100002-系统异常</p>\n  <p>100003-accessToken或者APPID不合法</p>\n  <p>100005-系统内部流控</p>\n  <p>120010-开发者不存在</p>\n  <p>120011-商家不存在或者未生效</p>\n  <p>120014-开发者未生效</p>\n  <p>120015-商家未生效</p>\n  <p>120018-资源已经存在创建/修改审批流程，无法再发起创建/修改操作</p>\n  <p>120024-开发者的消息模板超过限制</p>\n  <p>120025-商家消息能力已经被冻结</p>\n  <p>120026-此类消息模板不允许输入可变参数</p>\n  <p>120027-此类消息模板不允许填写图片</p>\n  <p>120031-商家已经被冻结</p>\n  <p>120034-商家还未到生效时间</p>\n  <p>120037-商家已失效</p>\n  <p>120040-商家未生效或被冻结</p>              \n","enum":[100001,100002,100003,100005,120010,120011,120014,120015,120018,120024,120025,120026,120027,120031,120034,120037,120040]},"message":{"type":"string"}}},"ErrorMsg4TemplateDelete":{"type":"object","description":"错误信息","required":["code","message"],"properties":{"code":{"type":"integer","description":"返回错误码：\n\n  <p>100001-参数不合法</p>\n  <p>100002-系统异常</p>\n  <p>100003-accessToken或者APPID不合法</p>\n  <p>100005-系统内部流控</p>\n  <p>230002-不允许删除预置模板</p>\n","enum":[100001,100002,100003,100005,230002]},"message":{"type":"string"}}},"ErrorMsg4MediaUpload":{"type":"object","description":"错误信息","required":["code","message"],"properties":{"code":{"type":"integer","description":"返回错误码：\n\n  <p>100001-参数不合法</p>\n  <p>100002-系统异常</p>\n  <p>100003-accessToken或者APPID不合法</p>\n  <p>100005-系统内部流控</p>\n  <p>120001-上传图片大小不合规</p>\n  <p>120003-不合法的图片文件类型</p>\n","enum":[100001,100002,100003,100005,120001,120003]},"message":{"type":"string"}}},"ErrorMsg4PubAdd":{"type":"object","description":"错误信息","required":["code","message"],"properties":{"code":{"type":"integer","description":"返回错误码：\n\n  <p>100001-参数不合法</p>\n  <p>100002-系统异常</p>\n  <p>100003-accessToken或者APPID不合法</p>\n  <p>100005-系统内部流控</p>\n  <p>120002-图片文件不存在</p>\n  <p>120006-服务号已经被注册</p>\n  <p>120010-开发者不存在</p>\n  <p>120011-商家不存在或者未生效</p>\n  <p>120014-开发者未生效</p>\n  <p>120015-商家未生效</p>\n  <p>120018-资源已经存在创建/修改审批流程，无法再发起创建/修改操作</p>\n  <p>120022-商家的服务号超过限制</p>\n  <p>120028-端口，服务号有效期不允许超过商家有效期</p>\n  <p>120030-引用的图片尺寸或者格式不正确，比如不能将主页背景图片使用在服务号logo的位置</p>\n  <p>120031-商家已经被冻结</p>\n  <p>120034-商家还未到生效时间</p>\n  <p>120037-商家已失效</p>\n  <p>120040-商家未生效或被冻结</p>\n  <p>120048-商家下属服务号超过限制</p>\n  <p>120075-服务号name重复时remark不允许重复</p>\n","enum":[100001,100002,100003,100005,120002,120006,120010,120011,120014,120015,120018,120022,120028,120030,120031,120034,120037,120040,120048,120075]},"message":{"type":"string"}}},"ErrorMsg4PubUpdate":{"type":"object","description":"错误信息","required":["code","message"],"properties":{"code":{"type":"integer","description":"返回错误码：\n\n  <p>100001-参数不合法</p>\n  <p>100002-系统异常</p>\n  <p>100003-accessToken或者APPID不合法</p>\n  <p>100005-系统内部流控</p>\n  <p>120002-图片文件不存在</p>\n  <p>120010-开发者不存在</p>\n  <p>120011-商家不存在或者未生效</p>\n  <p>120012-服务号不存在或者未生效</p>\n  <p>120014-开发者未生效</p>\n  <p>120015-商家未生效</p>\n  <p>120016-服务号未生效</p>\n  <p>120018-资源已经存在创建/修改审批流程，无法再发起创建/修改操作</p>\n  <p>120030-引用的图片尺寸或者格式不正确，比如不能将主页背景图片使用在服务号logo的位置</p>\n  <p>120031-商家已经被冻结</p>\n  <p>120035-服务号还未到生效时间</p>\n  <p>120037-商家已失效</p>\n  <p>120040-商家未生效或被冻结</p>\n  <p>120053-更新资源版本不一致</p>\n  <p>120075-服务号name重复时remark不允许重复</p>\n","enum":[100001,100002,100003,100005,120002,120010,120011,120012,120014,120015,120016,120018,120030,120031,120035,120037,120040,120053,120075]},"message":{"type":"string"}}},"ErrorMsg4PubFreeze":{"type":"object","description":"错误信息","required":["code","message"],"properties":{"code":{"type":"integer","description":"返回错误码：\n\n  <p>100001-参数不合法</p>\n  <p>100002-系统异常</p>\n  <p>100003-accessToken或者APPID不合法</p>\n  <p>100005-系统内部流控</p>\n  <p>120010-开发者不存在</p>\n  <p>120011-商家不存在或者未生效</p>\n  <p>120012-服务号不存在或者未生效</p>\n  <p>120014-开发者未生效</p>\n  <p>120015-商家未生效</p>\n  <p>120016-服务号未生效</p>\n  <p>120019-资源已经处于冻结状态或有冻结审批流程，无法再发起冻结操作</p>\n  <p>120031-商家已经被冻结</p>\n  <p>120032-服务号已经被冻结</p>\n  <p>120037-商家已失效</p>\n  <p>120040-商家未生效或被冻结</p>\n","enum":[100001,100002,100003,100005,120010,120011,120012,120014,120015,120016,120019,120031,120032,120037,120040]},"message":{"type":"string"}}},"ErrorMsg4PubmenuAdd":{"type":"object","description":"错误信息","required":["code","message"],"properties":{"code":{"type":"integer","description":"返回错误码：\n\n  <p>100001-参数不合法</p>\n  <p>100002-系统异常</p>\n  <p>100003-accessToken或者APPID不合法</p>\n  <p>100005-系统内部流控</p>\n  <p>120008-菜单已被注册</p>\n  <p>120010-开发者不存在</p>\n  <p>120011-商家不存在或者未生效</p>\n  <p>120012-服务号不存在或者未生效</p>\n  <p>120014-开发者未生效</p>\n  <p>120015-商家未生效</p>\n  <p>120016-服务号未生效</p>\n  <p>120018-资源已经存在创建/修改审批流程，无法再发起创建/修改操作</p>\n  <p>120031-商家已经被冻结</p>\n  <p>120032-服务号已经被冻结</p>\n  <p>120034-商家还未到生效时间</p>\n  <p>120035-服务号还未到生效时间</p>\n  <p>120037-商家已失效</p>\n  <p>120038-服务号已失效</p>\n  <p>120040-商家未生效或被冻结</p>\n  <p>120041-服务号未生效或被冻结</p>\n  <p>120051-服务号的菜单超过限制</p>\n","enum":[100001,100002,100003,100005,120008,120010,120011,120012,120014,120015,120016,120018,120031,120032,120034,120035,120037,120038,120040,120041,120051]},"message":{"type":"string"}}},"ErrorMsg4PubmenuUpdate":{"type":"object","description":"错误信息","required":["code","message"],"properties":{"code":{"type":"integer","description":"返回错误码：\n\n  <p>100001-参数不合法</p>\n  <p>100002-系统异常</p>\n  <p>100005-系统内部流控</p>\n  <p>120010-开发者不存在</p>\n  <p>120011-商家不存在或者未生效</p>\n  <p>120012-服务号不存在或者未生效</p>\n  <p>120014-开发者未生效</p>\n  <p>120015-商家未生效</p>\n  <p>120016-服务号未生效</p>\n  <p>120018-资源已经存在创建/修改审批流程，无法再发起创建/修改操作</p>\n  <p>120031-商家已经被冻结</p>\n  <p>120032-服务号已经被冻结</p>\n  <p>120034-商家还未到生效时间</p>\n  <p>120035-服务号还未到生效时间</p>\n  <p>120037-商家已失效</p>\n  <p>120038-服务号已失效</p>\n  <p>120040-商家未生效或被冻结</p>\n  <p>120041-服务号未生效或被冻结</p>\n  <p>120050-菜单不存在</p>\n  <p>120051-服务号的菜单超过限制</p>\n  <p>120053-更新资源版本不一致</p>\n","enum":[100001,100002,100005,120010,120011,120012,120014,120015,120016,120018,120031,120032,120034,120035,120037,120038,120040,120041,120050,120051,120053]},"message":{"type":"string"}}},"ErrorMsg4PubportalAdd":{"type":"object","description":"错误信息","required":["code","message"],"properties":{"code":{"type":"integer","description":"返回错误码：\n\n  <p>100001-参数不合法</p>\n  <p>100002-系统异常</p>\n  <p>100003-accessToken或者APPID不合法</p>\n  <p>100005-系统内部流控</p>\n  <p>120010-开发者不存在</p>\n  <p>120011-商家不存在或者未生效</p>\n  <p>120012-服务号不存在或者未生效</p>\n  <p>120014-开发者未生效</p>\n  <p>120015-商家未生效</p>\n  <p>120016-服务号未生效</p>\n  <p>120018-资源已经存在创建/修改审批流程，无法再发起创建/修改操作</p>\n  <p>120031-商家已经被冻结</p>\n  <p>120032-服务号已经被冻结</p>\n  <p>120034-商家还未到生效时间</p>\n  <p>120035-服务号还未到生效时间</p>\n  <p>120037-商家已失效</p>\n  <p>120038-服务号已失效</p>\n  <p>120040-商家未生效或被冻结</p>\n  <p>120041-服务号未生效或被冻结</p>\n  <p>120043-主页已被注册</p>\n  <p>120044-主页内的快应用个数超过限制</p>\n","enum":[100001,100002,100003,100005,120010,120011,120012,120014,120015,120016,120018,120031,120032,120034,120035,120037,120038,120040,120041,120043,120044]},"message":{"type":"string"}}},"ErrorMsg4PubportalUpdate":{"type":"object","description":"错误信息","required":["code","message"],"properties":{"code":{"type":"integer","description":"返回错误码：\n\n  <p>100001-参数不合法</p>\n  <p>100002-系统异常</p>\n  <p>100003-accessToken或者APPID不合法</p>\n  <p>100005-系统内部流控</p>\n  <p>120010-开发者不存在</p>\n  <p>120011-商家不存在或者未生效</p>\n  <p>120012-服务号不存在或者未生效</p>\n  <p>120014-开发者未生效</p>\n  <p>120015-商家未生效</p>\n  <p>120016-服务号未生效</p>\n  <p>120018-资源已经存在创建/修改审批流程，无法再发起创建/修改操作</p>\n  <p>120031-商家已经被冻结</p>\n  <p>120032-服务号已经被冻结</p>\n  <p>120034-商家还未到生效时间</p>\n  <p>120035-服务号还未到生效时间</p>\n  <p>120037-商家已失效</p>\n  <p>120038-服务号已失效</p>\n  <p>120040-商家未生效或被冻结</p>\n  <p>120041-服务号未生效或被冻结</p>\n  <p>120044-主页内的快应用个数超过限制</p>\n  <p>120046-主页不存在</p>\n  <p>120053-更新资源版本不一致</p>\n","enum":[100001,100002,100003,100005,120010,120011,120012,120014,120015,120016,120018,120031,120032,120034,120035,120037,120038,120040,120041,120044,120046,120053]},"message":{"type":"string"}}},"ErrorMsg4UpdateHandlingResult":{"type":"object","description":"错误信息","required":["code","message"],"properties":{"code":{"type":"integer","description":"返回错误码：\n\n  <p>100001-参数不合法</p>\n  <p>100002-系统异常</p>\n  <p>100003-accessToken或者APPID不合法</p>\n  <p>100005-系统内部流控</p>\n  <p>120010-开发者不存在</p>\n  <p>120011-商家不存在或者未生效</p>\n  <p>120014-开发者未生效</p>\n  <p>120015-商家未生效</p>\n  <p>120031-商家已经被冻结</p>\n  <p>120034-商家还未到生效时间</p>\n  <p>120037-商家已失效</p>\n  <p>120040-商家未生效或被冻结</p>\n  <p>120054-该用户投诉不存在</p>\n","enum":[100001,100002,100003,100005,120010,120011,120014,120015,120031,120034,120037,120040,120054]},"message":{"type":"string"}}},"ErrorMsg4PortpubAdd":{"type":"object","description":"错误信息","required":["code","message"],"properties":{"code":{"type":"integer","description":"返回错误码：\n\n  <p>100001-参数不合法</p>\n  <p>100002-系统异常</p>\n  <p>100003-accessToken或者APPID不合法</p>\n  <p>100005-系统内部流控</p>\n  <p>120009-端口号已被其他服务号引用</p>\n  <p>120010-开发者不存在</p>\n  <p>120011-商家不存在或者未生效</p>\n  <p>120012-服务号不存在或者未生效</p>\n  <p>120013-端口号不存在或者未生效</p>\n  <p>120014-开发者未生效</p>\n  <p>120015-商家未生效</p>\n  <p>120016-服务号未生效</p>\n  <p>120017-端口未生效</p>\n  <p>120018-资源已经存在创建/修改审批流程，无法再发起创建/修改操作</p>\n  <p>120031-商家已经被冻结</p>\n  <p>120032-服务号已经被冻结</p>\n  <p>120033-端口号已经被冻结</p>\n  <p>120035-服务号还未到生效时间</p>\n  <p>120036-端口还未到生效时间</p>\n  <p>120037-商家已失效</p>\n  <p>120038-服务号已失效</p>\n  <p>120039-端口已失效</p>\n  <p>120040-商家未生效或被冻结</p>\n  <p>120041-服务号未生效或被冻结</p>\n  <p>120042-端口号未生效或被冻结</p>\n  <p>120049-服务号下属端口号超过限制</p>\n  <p>120072-区域编码不存在</p>\n  <p>120073-端口服务号绑定关系的区域编码重复</p>\n  <p>120074-端口绑定的服务号重复</p>\n","enum":[100001,100002,100003,100005,120009,120010,120011,120012,120013,120014,120015,120016,120017,120018,120031,120032,120033,120035,120036,120037,120038,120039,120040,120041,120042,120049,120072,120073,120074]},"message":{"type":"string"}}},"ErrorMsg4PortpubUpdate":{"type":"object","description":"错误信息","required":["code","message"],"properties":{"code":{"type":"integer","description":"返回错误码：\n\n  <p>100001-参数不合法</p>\n  <p>100002-系统异常</p>\n  <p>100003-accessToken或者APPID不合法</p>\n  <p>100005-系统内部流控</p>\n  <p>120009-端口号已被其他服务号引用</p>\n  <p>120010-开发者不存在</p>\n  <p>120011-商家不存在或者未生效</p>\n  <p>120012-服务号不存在或者未生效</p>\n  <p>120013-端口号不存在或者未生效</p>\n  <p>120014-开发者未生效</p>\n  <p>120015-商家未生效</p>\n  <p>120016-服务号未生效</p>\n  <p>120017-端口未生效</p>\n  <p>120018-资源已经存在创建/修改审批流程，无法再发起创建/修改操作</p>\n  <p>120031-商家已经被冻结</p>\n  <p>120032-服务号已经被冻结</p>\n  <p>120033-端口号已经被冻结</p>\n  <p>120037-商家已失效</p>\n  <p>120038-服务号已失效</p>\n  <p>120039-端口已失效</p>\n  <p>120040-商家未生效或被冻结</p>\n  <p>120041-服务号未生效或被冻结</p>\n  <p>120042-端口号未生效或被冻结</p>\n  <p>120049-服务号下属端口号超过限制</p>\n  <p>120072-区域编码不存在</p>\n  <p>120073-端口服务号绑定关系的区域编码重复</p>\n  <p>120074-端口绑定的服务号重复</p>\n","enum":[100001,100002,100003,100005,120009,120010,120011,120012,120013,120014,120015,120016,120017,120018,120031,120032,120033,120037,120038,120039,120040,120041,120042,120049,120072,120073,120074]},"message":{"type":"string"}}},"ErrorMsg4PortpubDelete":{"type":"object","description":"错误信息","required":["code","message"],"properties":{"code":{"type":"integer","description":"返回错误码：\n\n  <p>100001-参数不合法</p>\n  <p>100002-系统异常</p>\n  <p>100003-accessToken或者APPID不合法</p>\n  <p>100005-系统内部流控</p>\n  <p>120010-开发者不存在</p>\n  <p>120011-商家不存在或者未生效</p>\n  <p>120012-服务号不存在或者未生效</p>\n  <p>120013-端口号不存在或者未生效</p>\n  <p>120014-开发者未生效</p>\n  <p>120015-商家未生效</p>\n  <p>120016-服务号未生效</p>\n  <p>120017-端口未生效</p>\n  <p>120031-商家已经被冻结</p>\n  <p>120032-服务号已经被冻结</p>\n  <p>120033-端口号已经被冻结</p>\n  <p>120037-商家已失效</p>\n  <p>120038-服务号已失效</p>\n  <p>120039-端口已失效</p>\n  <p>120040-商家未生效或被冻结</p>\n  <p>120041-服务号未生效或被冻结</p>\n  <p>120042-端口号未生效或被冻结</p>\n  <p>120056-端口号未绑定服务号，或者绑定的服务号未生效或已失效或被冻结</p>\n  <p>120077-端口号与服务号未绑定</p>\n","enum":[100001,100002,100003,100005,120010,120011,120012,120013,120014,120015,120016,120017,120031,120032,120033,120037,120038,120039,120040,120041,120042,120056,120077]},"message":{"type":"string"}}},"ErrorMsg4HwpubAdd":{"type":"object","description":"错误信息","required":["code","message"],"properties":{"code":{"type":"integer","description":"返回错误码：\n\n  <p>100001-参数不合法</p>\n  <p>100002-系统异常</p>\n  <p>100003-accessToken或者APPID不合法</p>\n  <p>100005-系统内部流控</p>\n  <p>120002-图片文件不存在</p>\n  <p>120010-开发者不存在</p>\n  <p>120011-商家不存在或者未生效</p>\n  <p>120014-开发者未生效</p>\n  <p>120015-商家未生效</p>\n  <p>120018-资源已经存在创建/修改审批流程，无法再发起创建/修改操作</p>\n  <p>120031-商家已经被冻结</p>\n  <p>120034-商家还未到生效时间</p>\n  <p>120037-商家已失效</p>\n  <p>120040-商家未生效或被冻结</p>\n  <p>120091-华为服务号名称存在</p>\n  <p>120092-华为服务号AppId存在</p>\n  <p>120093-华为服务号的华为账号存在</p>\n  <p>120094-华为服务号数量超过限制</p>\n  <p>120113-华为服务号华为账号不存在或已注销</p>\n","enum":[100001,100002,100003,100005,120002,120010,120011,120014,120015,120018,120031,120034,120037,120040,120091,120092,120093,120094,120113]},"message":{"type":"string"}}},"ErrorMsg4HwpubUpdate":{"type":"object","description":"错误信息","required":["code","message"],"properties":{"code":{"type":"integer","description":"返回错误码：\n\n  <p>100001-参数不合法</p>\n  <p>100002-系统异常</p>\n  <p>100003-accessToken或者APPID不合法</p>\n  <p>100005-系统内部流控</p>\n  <p>120002-图片文件不存在</p>\n  <p>120010-开发者不存在</p>\n  <p>120011-商家不存在或者未生效</p>\n  <p>120014-开发者未生效</p>\n  <p>120015-商家未生效</p>\n  <p>120018-资源已经存在创建/修改审批流程，无法再发起创建/修改操作</p>\n  <p>120031-商家已经被冻结</p>\n  <p>120037-商家已失效</p>\n  <p>120040-商家未生效或被冻结</p>\n  <p>120053-更新资源版本不一致</p>\n  <p>120095-华为服务号不存在</p>\n  <p>120096-华为服务号已被冻结</p>\n  <p>120102-华为服务号未生效，不支持修改</p>\n  <p>120105-华为服务号已失效</p>\n  <p>120106-华为服务号的uid无效</p>\n  <p>120113-华为服务号华为账号不存在或已注销</p>\n","enum":[100001,100002,100003,100005,120002,120010,120011,120014,120015,120018,120031,120037,120040,120053,120095,120096,120102,120105,120106,120113]},"message":{"type":"string"}}},"ErrorMsg4HwpubFreeze":{"type":"object","description":"错误信息","required":["code","message"],"properties":{"code":{"type":"integer","description":"返回错误码：\n\n  <p>100001-参数不合法</p>\n  <p>100002-系统异常</p>\n  <p>100003-accessToken或者APPID不合法</p>\n  <p>100005-系统内部流控</p>\n  <p>120010-开发者不存在</p>\n  <p>120011-商家不存在或者未生效</p>\n  <p>120014-开发者未生效</p>\n  <p>120015-商家未生效</p>\n  <p>120019-资源已经处于冻结状态或有冻结审批流程，无法再发起冻结操作</p>\n  <p>120031-商家已经被冻结</p>\n  <p>120037-商家已失效</p>\n  <p>120040-商家未生效或被冻结</p>\n  <p>120095-华为服务号不存在</p>\n  <p>120096-华为服务号已被冻结</p>\n  <p>120105-华为服务号已失效</p>\n  <p>120106-华为服务号的uid无效</p>\n  <p>120113-华为服务号华为账号不存在或已注销</p>\n","enum":[100001,100002,100003,100005,120010,120011,120014,120015,120019,120031,120037,120040,120095,120096,120105,120106,120113]},"message":{"type":"string"}}},"ErrorMsg4HwpubportalAdd":{"type":"object","description":"错误信息","required":["code","message"],"properties":{"code":{"type":"integer","description":"返回错误码：\n\n  <p>100001-参数不合法</p>\n  <p>100002-系统异常</p>\n  <p>100003-accessToken或者APPID不合法</p>\n  <p>100005-系统内部流控</p>\n  <p>120010-开发者不存在</p>\n  <p>120011-商家不存在或者未生效</p>\n  <p>120014-开发者未生效</p>\n  <p>120015-商家未生效</p>\n  <p>120019-资源已经处于冻结状态或有冻结审批流程，无法再发起冻结操作</p>\n  <p>120031-商家已经被冻结</p>\n  <p>120037-商家已失效</p>\n  <p>120040-商家未生效或被冻结</p>\n  <p>120095-华为服务号不存在</p>\n  <p>120096-华为服务号已被冻结</p>\n  <p>120105-华为服务号已失效</p>\n  <p>120104-华为服务号主页已被注册</p>\n","enum":[100001,100002,100003,100005,120010,120011,120014,120015,120019,120031,120037,120040,120095,120096,120105,120104]},"message":{"type":"string"}}},"ErrorMsg4HwpubportalUpdate":{"type":"object","description":"错误信息","required":["code","message"],"properties":{"code":{"type":"integer","description":"返回错误码：\n\n  <p>100001-参数不合法</p>\n  <p>100002-系统异常</p>\n  <p>100003-accessToken或者APPID不合法</p>\n  <p>100005-系统内部流控</p>\n  <p>120010-开发者不存在</p>\n  <p>120011-商家不存在或者未生效</p>\n  <p>120014-开发者未生效</p>\n  <p>120015-商家未生效</p>\n  <p>120019-资源已经处于冻结状态或有冻结审批流程，无法再发起冻结操作</p>\n  <p>120031-商家已经被冻结</p>\n  <p>120037-商家已失效</p>\n  <p>120040-商家未生效或被冻结</p>\n  <p>120053-更新资源版本不一致</p>\n  <p>120095-华为服务号不存在</p>\n  <p>120096-华为服务号已被冻结</p>\n  <p>120105-华为服务号已失效</p>\n  <p>120103-华为服务号主页不存在</p>\n  <p>120117-华为服务号主页未生效 不支持修改</p>\n","enum":[100001,100002,100003,100005,120010,120011,120014,120015,120019,120031,120037,120040,120053,120095,120096,120105,120103,120117]},"message":{"type":"string"}}},"ErrorMsg4HwpubchatAdd":{"type":"object","description":"错误信息","required":["code","message"],"properties":{"code":{"type":"integer","description":"返回错误码：\n\n  <p>100001-参数不合法</p>\n  <p>100002-系统异常</p>\n  <p>100003-accessToken或者APPID不合法</p>\n  <p>100005-系统内部流控</p>\n  <p>120010-开发者不存在</p>\n  <p>120011-商家不存在或者未生效</p>\n  <p>120014-开发者未生效</p>\n  <p>120015-商家未生效</p>\n  <p>120031-商家已经被冻结</p>\n  <p>120037-商家已失效</p>\n  <p>120040-商家未生效或被冻结</p>\n  <p>120095-华为服务号不存在</p>\n  <p>120096-华为服务号已被冻结</p>\n  <p>120105-华为服务号已失效</p>\n  <p>280002-自主服务会话已存在</p>\n  <p>280003-自主服务会话级别超出限制</p>\n  <p>280004-自主服务会话数量超出限制</p>\n  <p>280006-自主服务会话已经存在创建/修改审批流程，无法再发起创建/修改操作</p>\n","enum":[100001,100002,100003,100005,120010,120011,120014,120015,120031,120037,120040,120095,120096,120105,280002,280003,280004,280006]},"message":{"type":"string"}}},"ErrorMsg4HwpubchatUpdate":{"type":"object","description":"错误信息","required":["code","message"],"properties":{"code":{"type":"integer","description":"返回错误码：\n\n  <p>100001-参数不合法</p>\n  <p>100002-系统异常</p>\n  <p>100003-accessToken或者APPID不合法</p>\n  <p>100005-系统内部流控</p>\n  <p>120010-开发者不存在</p>\n  <p>120011-商家不存在或者未生效</p>\n  <p>120014-开发者未生效</p>\n  <p>120015-商家未生效</p>\n  <p>120031-商家已经被冻结</p>\n  <p>120037-商家已失效</p>\n  <p>120040-商家未生效或被冻结</p>\n  <p>120095-华为服务号不存在</p>\n  <p>120096-华为服务号已被冻结</p>\n  <p>120105-华为服务号已失效</p>\n  <p>280001-自主服务会话不存在</p>\n  <p>280003-自主服务会话级别超出限制</p>\n  <p>280004-自主服务会话数量超出限制</p>\n  <p>280005-更新自主服务会话版本不一致</p>\n  <p>280006-自主服务会话已经存在创建/修改审批流程，无法再发起创建/修改操作</p>\n","enum":[100001,100002,100003,100005,120010,120011,120014,120015,120031,120037,120040,120095,120096,120105,280001,280003,280004,280005,280006]},"message":{"type":"string"}}},"ErrorMsg4Hwpubfollow":{"type":"object","description":"错误信息","required":["code","message"],"properties":{"code":{"type":"integer","description":"返回错误码：\n\n  <p>100001-参数不合法</p>\n  <p>100002-系统异常</p>\n  <p>100003-accessToken或者APPID不合法</p>\n  <p>100005-系统内部流控</p>\n  <p>250005-华为帐号不存在</p>\n  <p>250006-关注关系不存在</p>\n  <p>250007-华为服务号不存在</p>\n  <p>250008-华为服务号不属于此商家</p>\n  <p>250009-用户未同意HBM协议</p>\n","enum":[100001,100002,100003,100005,250005,250006,250007,250008,250009]},"message":{"type":"string"}}},"MessageDeliverErrorMsg":{"type":"object","description":"错误信息","required":["code","message"],"properties":{"code":{"$ref":"#/components/schemas/MessageDeliverErrorCode"},"message":{"type":"string","description":"错误描述。在错误码为130012时，错误描述中包含匹配到的敏感词列表，如[微贷, 十八摸]。"}}},"MessageDeliverErrorHWMsg":{"type":"object","description":"错误信息","required":["code","message"],"properties":{"code":{"$ref":"#/components/schemas/MessageDeliverErrorCode4HWMsg"},"message":{"type":"string","description":"错误描述。在错误码为260007时，错误描述中包含匹配到的敏感词列表，如[微贷, 十八摸]。"}}},"TargetMerchant":{"type":"object","required":["merchantId"],"properties":{"merchantId":{"type":"string","description":"商家ID","example":"3dkJ2-z92fr9DuD9rNvp4A"}}},"ResourceApproveState":{"type":"object","description":"查询资源返回的审核状态。","properties":{"operateType":{"type":"integer","description":"操作类型：\n  <p>1-创建</p>\n  <p>2-修改</p>\n  <p>3-运营冻结</p>\n  <p>4-运营解冻</p>\n  <p>5-商家冻结</p>\n  <p>6-商家解冻</p>\n","enum":[1,2,3,4,5,6],"example":1},"approveState":{"type":"integer","description":"审核类型：\n  <p>1-待审核</p>\n  <p>3-驳回</p>\n  <p>4-审核通过</p>\n","enum":[1,3,4],"example":1}}},"MerchantIndustry":{"type":"integer","description":"行业分类：1-金融理财；2-社交通讯；3-影音娱乐；4-旅游出行；5-购物；6-本地生活；7-运动健康；8-教育培训；9-新闻阅读；10-运营商；11-其他"},"MerchantBasicInfo":{"type":"object","description":"商家基本信息","properties":{"name":{"type":"string","description":"商家昵称","example":"华为公司"},"type":{"type":"integer","description":"商家类型：1-企业;2-党政&国家机关;3-事业单位;4-个体工商户;5-民办非企业单位;6-社会团体","enum":["1","2","3","4","5","6"],"example":1},"industry":{"$ref":"#/components/schemas/MerchantIndustry"}}},"MerchantQualificationInformation":{"type":"object","description":"商资质证明信息","properties":{"companyName":{"type":"string","description":"1-企业名称;2-单位名称;3-事业单位名称;4-名称;5-民办非企业单位名称;6-社会团体名称","example":"华为技术有限公司"},"creditNumber":{"type":"string","description":"商家类型：1-社会信用代码（注册号）;2-社会信用代码（执法证号）;3-社会信用代码（事证号）;4-社会信用代码（注册号）;5-社会信用代码（民政字号）;6-社会信用代码（社证号）"},"license":{"type":"string","description":"营业执照上传后返回的ID。1-营业执照;2-行政执法主体资格证;3-事业单位法人证书;4-营业执照;5-民办非企业单位登记证书;6-社会团体法人证书"}}},"MerchantContact":{"type":"object","description":"商家联系方式","properties":{"contact":{"type":"string","description":"联系人","example":"张三"},"tel":{"type":"string","description":"联系电话","example":1300000000},"email":{"type":"string","description":"联系邮箱","example":"abc@huawei.com"}}},"MerchantAuthorizationInfo":{"type":"object","properties":{"authorization":{"type":"string","description":"授权证明材料上传后的返回ID","example":""},"validUntil":{"type":"string","description":"有效期截止时间。格式为yyyy-mm-dd","example":"2019-10-09"}}},"MerchantAccount":{"type":"object","properties":{"account":{"type":"string","description":"商家开发者的的华为帐号"},"accountType":{"type":"integer","description":"华为帐号类型：0-普通用户名账号 1-EMAIL账户 2-移动手机号账户"}}},"Merchant4Update":{"type":"object","description":"商家信息","allOf":[{"$ref":"#/components/schemas/MerchantBasicInfo"},{"$ref":"#/components/schemas/MerchantQualificationInformation"},{"$ref":"#/components/schemas/MerchantContact"},{"$ref":"#/components/schemas/MerchantAuthorizationInfo"},{"$ref":"#/components/schemas/MerchantAccount"}]},"Merchant4Add":{"type":"object","description":"商家信息","required":["name","type","industry","validUntil"],"allOf":[{"$ref":"#/components/schemas/MerchantBasicInfo"},{"$ref":"#/components/schemas/MerchantQualificationInformation"},{"$ref":"#/components/schemas/MerchantContact"},{"$ref":"#/components/schemas/MerchantAuthorizationInfo"},{"$ref":"#/components/schemas/MerchantAccount"}]},"MerchantState":{"type":"integer","description":"商家状态：\n  <p>1-未生效</p>\n  <p>3-已生效</p>\n  <p>4-已失效</p>\n","enum":[1,3,4]},"MerchantDetail":{"type":"object","description":"查询指定商家返回的所有信息","required":["version","validUntil"],"allOf":[{"$ref":"#/components/schemas/MerchantProfile"},{"$ref":"#/components/schemas/MerchantQualificationInformation"},{"$ref":"#/components/schemas/MerchantContact"},{"$ref":"#/components/schemas/MerchantAuthorizationInfo"},{"$ref":"#/components/schemas/ResourceVersion"},{"$ref":"#/components/schemas/MerchantAccount"}],"properties":{"accountStatus":{"type":"integer","description":"华为帐号的状态：0-待检测（预留） 1-生效 2-已销户"}}},"MerchantProfile":{"type":"object","description":"商家摘要信息","required":["name","type","industry","merchantId","pubNum","portNum","templateNum","state","messageCapacityState","hwPubNum"],"allOf":[{"$ref":"#/components/schemas/MerchantBasicInfo"}],"properties":{"merchantId":{"type":"string","description":"商家ID","example":"3dkJ2-z92fr9DuD9rNvp4A"},"pubNum":{"type":"integer","description":"下属服务号个数","example":1},"portNum":{"type":"integer","description":"下属端口号数量","example":1},"templateNum":{"type":"integer","description":"下属消息模板数量","example":1},"state":{"$ref":"#/components/schemas/MerchantState"},"messageCapacityState":{"$ref":"#/components/schemas/MessageCapacityState"},"hwPubNum":{"type":"integer","description":"下属华为服务号个数"}}},"TargetMenu":{"required":["menuId"],"allOf":[{"$ref":"#/components/schemas/TargetPub"}],"properties":{"menuId":{"type":"string","description":"菜单ID，一期中服务号与菜单为一对一关系，后续一个服务号能够支持多个菜单。","example":"3dkJ2-z92fr9DuD9rNvp4A"}}},"TargetPortal":{"required":["portalId"],"allOf":[{"$ref":"#/components/schemas/TargetPub"}],"properties":{"portalId":{"type":"string","description":"主页ID，一期中服务号与主页为一对一关系，后续一个服务号能够支持多个主页。","example":"3dkJ2-z92fr9DuD9rNvp4A"}}},"TargetPub":{"type":"object","required":["pubId","merchantId"],"properties":{"pubId":{"type":"string","description":"服务号ID","example":"4jdw2Au2u4nggu5oncjruQ"},"merchantId":{"type":"string","description":"商家ID","example":"3dkJ2-z92fr9DuD9rNvp4A"}}},"PubServiceBasicInfo":{"type":"object","description":"服务号基本信息","properties":{"name":{"type":"string","description":"服务号名称。不同商家不允许重复，同一商家下允许重复，重复时remark必须不重复。","example":"华为技术有限公司"},"abstract":{"type":"string","description":"服务号简介信息"},"logoImg":{"type":"string","description":"Logo图片文件上传后的ID","example":"3dkJ2-z92fr9DuD9rNvp4A"},"authorizationFiles":{"type":"string","description":"授权证明图片文件上传后的ID列表","example":["3dkJ2-z92fr9DuD9rNvp4A","3dkJ2-z92fr9DuD9rNvpB"]},"remark":{"type":"string","description":"服务号备注信息。同一商家下name重复时，remark必须不重复。"}}},"PubService4Update":{"type":"object","description":"服务号基本信息","allOf":[{"$ref":"#/components/schemas/PubServiceBasicInfo"}]},"PubService4Add":{"type":"object","description":"服务号基本信息","required":["merchantId","name","abstract","logoImg","validUntil","orderYears"],"allOf":[{"$ref":"#/components/schemas/PubServiceBasicInfo"}],"properties":{"orderYears":{"type":"integer","description":"订购年份，按年计算。新增时输入。","example":1}}},"PubService":{"type":"object","description":"服务号基本信息","required":["merchantId","name","abstract","logoImg","validUntil","orderYears"],"allOf":[{"$ref":"#/components/schemas/PubServiceBasicInfo"}],"properties":{"orderYears":{"type":"integer","description":"订购年份，按年计算。新增时输入。","example":1}}},"PubDetail":{"type":"object","allOf":[{"$ref":"#/components/schemas/PubService"},{"$ref":"#/components/schemas/PubProfile"}]},"PubProfile":{"type":"object","description":"服务号摘要信息","allOf":[{"$ref":"#/components/schemas/TargetPub"},{"$ref":"#/components/schemas/ResourceVersion"}],"required":["pubId","state","validUntil","version"],"properties":{"validUntil":{"type":"string","description":"有效期结束时间。查询时获得，国内数据中心按东八区为准，精确到天。格式为：YYYY-MM-DD"},"state":{"$ref":"#/components/schemas/PubState"}}},"PubState":{"type":"integer","description":"服务号状态：\n  <p>1-未生效</p>\n  <p>3-已生效</p>\n  <p>4-已失效</p>\n  <p>5-商家冻结</p>\n  <p>6-运营冻结</p>\n","enum":[1,3,4,5,6]},"PubMenu":{"type":"object","description":"服务号菜单列表，最多15个。只有2级，一级列表固定3个，二级列表最多5个。","allOf":[{"$ref":"#/components/schemas/PubMenuBizAttr"}]},"PubMenuBizAttr":{"type":"object","properties":{"menuItems":{"type":"array","description":"菜单项列表，最多15个。只有2级，一级列表固定3个，二级列表最多5个。","items":{"$ref":"#/components/schemas/MenuItem"}}}},"MenuItem":{"type":"object","required":["name","actionType","content"],"properties":{"name":{"type":"string","description":"菜单名称"},"actionType":{"type":"integer","enum":[0,1,2,3,4,6],"description":"菜单动作类型：\n  <p>0-打开子菜单。此菜单下要求必须要有菜单</p>\n  <p>1-打开URL</p>\n  <p>2-拨打电话</p>\n  <p>3-打开APP</p>\n  <p>4-打开快应用</p>\n  <p>6-发送短信</p>\n  <p>7-预留-特殊地址处理</p>\n","externalDocs":{"description":"跳转APK与快应用Deeplink获取地址","url":"https://developer.huawei.com/consumer/cn/devservice/doc/5060303"},"example":1},"content":{"type":"string","description":"对应值类型：\n  <p>0-不填</p>\n  <p>1-跳转URL。此链接必须为https链接。如果此地址非http链接，会返回错误。</p>\n  <p>2-电话号码</p>\n  <p>3-APP的跳转deeplink</p>\n  <p>4-快应用跳转的deeplink。参考填写地址为https://developer.huawei.com/consumer/cn/service/hms/catalog/fastapp.html?page=fastapp_fastapp_devguide_deeplink</p>\n  <p>6-短信内容</p>\n  <p>7-预留-特殊地址</p>\n"},"extMsg":{"additionalProperties":{"type":"string","description":"额外需要携带的信息。 <p>当跳转快应用时，需要写明依赖的快应用引擎版本号dependEngineVer,参考路径：https://developer.huawei.com/consumer/cn/service/hms/catalog/fastapp.html?page=fastapp_fastapp_devguide_frame 中对(minPlatformVersion)的说明</p> <p>当跳转应用时，需要填写应用的包名packageName</p> <p>当跳转URL时，需要填写webview的显示标题webTitle</p> <p>跳转URL、快应用、APP，需要填写第三方服务名thirdServiceName</p>\n"},"example":{"dependEngineVer":"1040","thirdServiceName":"华为天际通"}},"subMenuItems":{"type":"array","description":"菜单子项列表","items":{"$ref":"#/components/schemas/MenuItem"}}}},"MenuProfile":{"type":"object","required":["pubId","state","version"],"description":"菜单信息","allOf":[{"$ref":"#/components/schemas/TargetMenu"},{"$ref":"#/components/schemas/ResourceVersion"}],"properties":{"state":{"$ref":"#/components/schemas/MenuState"},"menu":{"$ref":"#/components/schemas/PubMenu"}}},"MenuState":{"type":"integer","description":"服务号菜单状态：\n  <p>1-未生效</p>\n  <p>3-已生效</p>\n  <p>4-已失效</p>\n  <p>5-商家冻结</p>\n  <p>6-运营冻结</p>\n","enum":[1,3,4,5,6]},"PubPortal":{"type":"object","description":"服务号主页","required":["backgroundImg","abstract"],"properties":{"backgroundImg":{"type":"string","description":"上传完成后背景图片的ID","example":"3dkJ2-z92fr9DuD9rNvp4A"},"abstract":{"type":"string","description":"主页简介说明","example":"这是一段主页说明"},"tels":{"type":"array","description":"热线电话号码列表","items":{"type":"object","required":["tel","usage"],"properties":{"tel":{"type":"string","description":"电话号码","example":4008001233},"usage":{"type":"string","description":"号码用途","example":"客服"}}}},"fastapps":{"type":"array","items":{"type":"object","required":["name","deeplink","dependEngineVer","logoImg"],"properties":{"name":{"type":"string","description":"快应用名","example":"快应用"},"deeplink":{"type":"string","description":"跳转快应用链接","example":"hap://app/com.mytest.deeplink:8080/deeplinkDetail?param1=test"},"dependEngineVer":{"type":"string","description":"依赖快应用引擎版本。参考路径https://developer.huawei.com/consumer/cn/service/hms/catalog/fastapp.html?page=fastapp_fastapp_devguide_frame","example":"1040"},"logoImg":{"type":"string","description":"快应用logo图片上传ID","example":"3dkJ2-z92fr9DuD9rNvp4A"},"description":{"type":"string","description":"快应用描述"},"thirdServiceName":{"type":"string","description":"第三方服务名"}}}}}},"PubPortal4Update":{"type":"object","description":"服务号主页","properties":{"backgroundImg":{"type":"string","description":"上传完成后背景图片的ID","example":"3dkJ2-z92fr9DuD9rNvp4A"},"abstract":{"type":"string","description":"主页简介说明","example":"这是一段主页说明"},"tels":{"type":"array","description":"热线电话号码列表。注意：修改时必须传入全量数据。","items":{"type":"object","required":["tel","usage"],"properties":{"tel":{"type":"string","description":"电话号码","example":4008001233},"usage":{"type":"string","description":"号码用途","example":"客服"}}}},"fastapps":{"type":"array","description":"快应用列表。注意：修改时必须传入全量数据。","items":{"type":"object","required":["name","deeplink","dependEngineVer","logoImg"],"properties":{"name":{"type":"string","description":"快应用名","example":"快应用"},"deeplink":{"type":"string","description":"跳转快应用链接","example":"hap://app/com.mytest.deeplink:8080/deeplinkDetail?param1=test"},"dependEngineVer":{"type":"string","description":"依赖快应用引擎版本。参考路径https://developer.huawei.com/consumer/cn/service/hms/catalog/fastapp.html?page=fastapp_fastapp_devguide_frame","example":"1040"},"logoImg":{"type":"string","description":"快应用logo图片上传ID","example":"3dkJ2-z92fr9DuD9rNvp4A"},"description":{"type":"string","description":"快应用描述"},"thirdServiceName":{"type":"string","description":"第三方服务名"}}}}}},"PortalProfile":{"type":"object","required":["pubId","state","pubName","pubLogo","version"],"description":"菜单信息","allOf":[{"$ref":"#/components/schemas/TargetPortal"},{"$ref":"#/components/schemas/PubPortal"},{"$ref":"#/components/schemas/ResourceVersion"}],"properties":{"state":{"$ref":"#/components/schemas/PortalState"},"pubName":{"type":"string","description":"服务号名称","example":"华为技术有限公司"},"pubLogo":{"type":"string","description":"服务号Logo在上传后提供的ID","example":"3dkJ2-z92fr9DuD9rNvp4A"}}},"PortalState":{"type":"integer","description":"服务号主页状态：\n  <p>1-未生效</p>\n  <p>3-已生效</p>\n  <p>4-已失效</p>\n  <p>5-商家冻结</p>\n  <p>6-运营冻结</p>\n","enum":[1,3,4,5]},"TargetPortNoMerchant":{"type":"object","description":"端口信息","required":["port"],"properties":{"port":{"type":"string","description":"端口号","example":10691218759102}}},"TargetPort":{"type":"object","description":"端口信息","required":["merchantId","port"],"allOf":[{"$ref":"#/components/schemas/TargetPortNoMerchant"}],"properties":{"merchantId":{"type":"string","description":"商家ID","example":"3dkJ2-z92fr9DuD9rNvp4A"}}},"Port":{"type":"object","description":"端口号信息","properties":{"port":{"type":"string","description":"端口号","example":10691218759102},"sign":{"type":"string","description":"签名，不允许带【】","example":"华为技术"},"usage":{"type":"string","description":"用途","example":"客服"},"province":{"type":"string","description":"省份。","example":"all","deprecated":true},"authorizationFiles":{"type":"array","items":{"type":"string","description":"授权证明材料上传后的返回ID"}},"validStart":{"type":"string","description":"生效开始时间，可以晚于当前时间。格式为yyyy-mm-dd","example":"2019-1-1"},"validUntil":{"type":"string","description":"生效结束时间，必须大于当前调用时间。格式为yyyy-mm-dd","example":"2020-12-31"},"portType":{"type":"integer","description":"端口类型，1-普通端口，3-号段，默认值1","example":1}}},"PortWithRequired":{"type":"object","description":"端口号信息","required":["port","sign","authorizationFiles","validStart","validUntil"],"allOf":[{"$ref":"#/components/schemas/Port"}]},"PortState":{"type":"integer","description":"端口号生效状态：\n  <p>1-未生效</p>\n  <p>3-已生效</p>\n  <p>4-已失效</p>\n  <p>5-商家冻结</p>\n  <p>6-运营冻结</p>\n","enum":[1,3,4,5,6]},"TemplateState":{"type":"integer","description":"消息模板生效状态：\n  <p>1-未生效</p>\n  <p>3-已生效</p>\n  <p>4-已失效</p>\n","enum":[1,3,4]},"PortProfile":{"type":"object","description":"端口号信息","allOf":[{"$ref":"#/components/schemas/PortWithRequired"},{"$ref":"#/components/schemas/TargetMerchant"},{"$ref":"#/components/schemas/ResourceVersion"}],"required":["state","version"],"properties":{"state":{"$ref":"#/components/schemas/PortState"}}},"TargetTemplate":{"type":"object","description":"模板信息","required":["merchantId","templateId"],"properties":{"merchantId":{"type":"string","description":"商家ID","example":"3dkJ2-z92fr9DuD9rNvp4A"},"templateId":{"type":"string","description":"商家模板ID","example":"5jhdsJqpE913HDNdsuqi1X"}}},"TargetTemplateNoRequired":{"type":"object","description":"端口信息","required":["merchantId","templateId"],"properties":{"merchantId":{"type":"string","description":"商家ID","example":"3dkJ2-z92fr9DuD9rNvp4A"},"templateId":{"type":"string","description":"商家模板ID","example":"5jhdsJqpE913HDNdsuqi1X"}}},"TemplateProfile":{"type":"object","required":["templateId","version"],"allOf":[{"$ref":"#/components/schemas/Template"},{"$ref":"#/components/schemas/ResourceVersion"}],"properties":{"templateId":{"type":"string","description":"商家模板ID","example":"5jhdsJqpE913HDNdsuqi1X"},"state":{"$ref":"#/components/schemas/TemplateState"}}},"Template":{"type":"object","description":"模板信息","required":["frameId","body"],"properties":{"frameId":{"type":"integer","description":"系统模板ID：\n  <p>1-固定文本类</p>\n  <p>2-可变参数文本类</p>\n  <p>3-固定图文类。此类模板不可输入标题，不可输入可变参数，不可输入按钮</p>\n","enum":[1,2,3,4]},"type":{"type":"integer","description":"消息模板类型：\n  <p>1-非实时服务通知类消息(默认)</p>\n  <p>2-实时服务通知类消息</p>\n  <p>3-验证码消息</p>\n  <p>4-营销类消息</p>\n"},"body":{"$ref":"#/components/schemas/TemplateBody"},"example":{"additionalProperties":{"type":"string","description":"参数的样例值，在华为运营审核时会进行内容审核。针对带参数的模板，必须填写此字段。比如{\"${param1}\":\"华为技术有限公司\"}"},"example":{"${param1}":"华为技术"}}}},"TemplateBody":{"type":"object","required":["contents"],"properties":{"buttons":{"type":"array","description":"固定图文类型的消息不可填写按钮","items":{"$ref":"#/components/schemas/TemplateButton"}},"contents":{"type":"array","items":{"$ref":"#/components/schemas/TemplateContent"}},"tip":{"$ref":"#/components/schemas/TemplateTip"},"title":{"$ref":"#/components/schemas/TemplateTitle"}}},"TemplateVariableWithValue":{"type":"object","description":"可变参数","additionalProperties":{"type":"string","description":"可变参数表，采用key-value形式输入。key需要在文本中出现，且以$打头。比如{\"${param1}\":\"华为技术有限公司\",\"${passengerInfo}\": \"[{\\\"passengerName\\\":\\\"张三\\\",\\\"seatNum\\\":\\\"1A\\\",\\\"ticketBarrier\\\":\\\"1\\\"},{\\\"passengerName\\\":\\\"张四\\\",\\\"seatNum\\\":\\\"1B\\\",\\\"ticketBarrier\\\":\\\"1\\\"},{\\\"passengerName\\\":\\\"张五\\\",\\\"seatNum\\\":\\\"1C\\\",\\\"ticketBarrier\\\":\\\"1\\\"}]\"}"},"example":{"${param1}":"华为技术"}},"TemplateVariableWithValueExt":{"type":"object","description":"扩展可变参数（列表型）","additionalProperties":{"type":"string","description":"扩展可变参数表，采用key-value形式输入。key需要在文本中出现，且以$打头。比如\"{${passengerInfo}\": \"[{\\\"passengerName\\\":\\\"张三\\\",\\\"seatNum\\\":\\\"1A\\\",\\\"ticketBarrier\\\":\\\"1\\\"},{\\\"passengerName\\\":\\\"张四\\\",\\\"seatNum\\\":\\\"1B\\\",\\\"ticketBarrier\\\":\\\"1\\\"},{\\\"passengerName\\\":\\\"张五\\\",\\\"seatNum\\\":\\\"1C\\\",\\\"ticketBarrier\\\":\\\"1\\\"}]\"}"},"example":{"${passengerInfo}":"[{\"passengerName\":\"张三\",\"seatNum\":\"1A\",\"ticketBarrier\":\"1\"},{\"passengerName\":\"张四\",\"seatNum\":\"1B\",\"ticketBarrier\":\"1\"},{\"passengerName\":\"张五\",\"seatNum\":\"1C\",\"ticketBarrier\":\"1\"}]"}},"TemplateLink":{"type":"object","properties":{"linkType":{"type":"integer","enum":[1,2,3,4],"description":"消息模板类型：\n  <p>1-打开URL</p>\n  <p>2-拨打电话</p>\n  <p>3-打开APP</p>\n  <p>4-打开快应用</p>\n  <p>5-复制到剪切板。使用场景如验证码类消息的“复制”按钮。</p>\n","example":1},"value":{"type":"string","description":"对应值类型：\n  <p>1-跳转URL。可以添加可变参数，使用$加{}符号。比如：${param}。此链接必须为https链接。如果此地址非http链接，会返回错误。</p>\n  <p>2-电话号码</p>\n  <p>3-APP跳转的deeplink。可以添加可变参数，使用$加{}符号。比如：${param}。</p>\n  <p>4-快应用跳转的deeplink。可以添加可变参数，使用$加{}符号。比如：${param}。参考填写地址为https://developer.huawei.com/consumer/cn/service/hms/catalog/fastapp.html?page=fastapp_fastapp_devguide_deeplink。</p>\n  <p>5-被复制的值。只能是1个可变参数，使用$加{}符号。比如：${param}。</p>\n","example":"https://www.huawei.com"},"extMsg":{"additionalProperties":{"type":"string","description":"额外需要携带的信息。 <p>当跳转快应用时，需要写明依赖的快应用引擎版本号dependEngineVer,参考路径：https://developer.huawei.com/consumer/cn/service/hms/catalog/fastapp.html?page=fastapp_fastapp_devguide_frame中对(minPlatformVersion)的说明</p> <p>当跳转应用时，需要填写应用的包名packageName</p> <p>当跳转URL时，需要填写webview的显示标题webTitle</p> <p>跳转URL、快应用、APP，需要填写第三方服务名thirdServiceName</p>\n"},"example":{"dependEngineVer":"1040","thirdServiceName":"华为天际通"}}}},"TemplatePic":{"type":"object","description":"引用图片。","properties":{"picRef":{"type":"string","description":"引用图片的上传后返回的ID。"}}},"TemplateTip":{"type":"object","required":["displayMsg"],"properties":{"displayMsg":{"type":"string","example":"华为技术","description":"消息缩略语。可以添加可变参数，使用$加{}符号。比如：${param}。固定文本消息，不填；固定图文消息，必填；可变参数消息，可选。对于不填写缩略语的消息模板，会默认将内容展示为缩略语"}}},"TemplateTitle":{"type":"object","required":["displayMsg"],"properties":{"displayMsg":{"type":"string","example":"华为技术","description":"消息标题。可以添加可变参数，使用$加{}符号。比如：${param}。固定文本消息，不填；固定图文消息，不填；可变参数消息，可选。"}}},"TemplateButton":{"type":"object","description":"消息按钮，按列表排序，即为按钮从左数的位置。","required":["displayMsg","linkType","value"],"properties":{"displayMsg":{"type":"string","example":"华为技术","description":"消息按钮显示内容。固定图文消息不能填写按钮信息。"}},"allOf":[{"$ref":"#/components/schemas/TemplateLink"}]},"TemplateContent":{"type":"object","description":"消息内容，按列表排序，即为按钮从上向下的位置。","required":["displayMsg"],"properties":{"displayMsg":{"type":"string","example":"华为技术","description":"展示的内容。可以添加可变参数，使用$加{}符号。比如：${param}"}},"allOf":[{"$ref":"#/components/schemas/TemplatePic"},{"$ref":"#/components/schemas/TemplateLink"}]},"MessageWithTemplateIdToDevice":{"type":"object","allOf":[{"$ref":"#/components/schemas/MessageFromPortToDevice"},{"$ref":"#/components/schemas/TargetTemplate"}],"properties":{"vars":{"$ref":"#/components/schemas/TemplateVariableWithValue"}}},"MessageFromPortToDevice":{"type":"object","required":["pubId","targetDevices","ttl","uniqueId"],"properties":{"pubId":{"type":"string","description":"服务号ID","example":"4jdw2Au2u4nggu5oncjruQ"},"uniqueId":{"type":"string","description":"IP消息的去重ID值。如果2个IP消息的此字段值相同，那么表示是相同消息，会去重。不填写此值则不去重。\n<p>场景1：当IP消息投放超时后，如果此消息在IP通道内重试，那么此值需要设置同一个ID，表达为同一条消息。手机端如果多次收到重复ID的消息，会去重。</p>\n<p>场景2：消息内容相同但是实际不重复的消息，需要发送多次，不去重，比如多次消费5元的消息，那么此字段填入不同的值。</p>\n<p>只对短时间内的消息进行去重。</p>\n"},"hash":{"type":"string","description":"发送消息的哈希值。如果手机端收到的短信的Hash值与IP消息此字段值相同，那么表示是相同消息，会去重。 <p>短信的Hash值计算规则为（端口号+短信内容的SHA256值）。端侧使用此规则计算短信的Hash值，调用者填写此字段时也使用相同规则计算，保持一致。</p> <p>场景：当IP消息投放超时后，如果此消息会转向短信通道发送，则必须填写此值。</p> <p>注意：对于图文类的消息，由于短信不支持图文能力，因此需要填入短信的Hash值，不是图文类的消息的Hash值。</p> <p>如果不填写此值，A2P平台会使用默认规则填充。方法为：端口号+模板中contents内容(在使用变量替换后，拼接到一起，带上换行)计算SHA256码。请调用者关注此值，防止出现手机在同端口内出现重复消息。</p> <p>只对短时间内的消息进行去重。</p>"},"contentHash":{"type":"string","description":"发送消息的哈希值。如果手机端收到的短信的Hash值与IP消息此字段值相同，那么表示是相同消息，会去重。 <p>短信的Hash值计算规则为（短信内容的SHA256值）。端侧使用此规则计算短信的Hash值，调用者填写此字段时也使用相同规则计算，保持一致。</p> <p>场景：当IP消息投放超时后，如果此消息会转向短信通道发送，则必须填写此值。</p> <p>注意：对于图文类的消息，由于短信不支持图文能力，因此需要填入短信的Hash值，不是图文类的消息的Hash值。</p> <p>如果不填写此值，A2P平台会使用默认规则填充。方法为：模板中contents内容(在使用变量替换后，拼接到一起，带上换行)计算SHA256码。请调用者关注此值，防止出现手机在同端口内出现重复消息。</p> <p>只对短时间内的消息进行去重。</p>    "},"externalId":{"type":"string","description":"外部系统ID。外部系统如果需要填写一个自己系统的编码ID，可以填写在此处。A2P平台会原路返回，长度不超过128。"},"targetDevices":{"type":"array","description":"目标设备列表。接口定义支持多个，当前版本实现为仅支持单个。","items":{"$ref":"#/components/schemas/TargetDeviceIdInfo"}},"tag":{"type":"string","description":"消息发送方如果需要填写自定义内容，可以填写此字段。对于发送成功的消息，此字段会原封放入回执中。长度不超过128。"},"ttl":{"type":"integer","format":"int32","description":"消息有效期。代表多久后消息失效。单位为秒。（不允许设置低于3秒的值）"}}},"TargetDeviceIdInfo":{"type":"array","description":"目标设备多元组。数组，可以有多个目标设备，前面优先级高于后面，即优先使用前面的目标设备发消息，前面设备无法发消息时才使用后面目标设备发消息；当前版本支持的顺序：优先UDID，其次华为账号hwId，请按照此顺序填数组；数组至少存在1个目标设备；每个设备类型最多有1个；","items":{"$ref":"#/components/schemas/DeviceIdInfo"}},"DeviceIdInfo":{"type":"object","required":["idType","idValue"],"properties":{"idType":{"type":"integer","description":"id类型，1-tel（保留字段，版本暂不支持） 2-udid 3-hwId"},"idValue":{"type":"string","description":"id值。"}}},"MessageWithTemplateId":{"type":"object","allOf":[{"$ref":"#/components/schemas/MessageFromPort"},{"$ref":"#/components/schemas/TargetTemplate"}],"properties":{"vars":{"$ref":"#/components/schemas/TemplateVariableWithValue"}}},"MessageFromPort":{"type":"object","required":["tels","ttl"],"properties":{"port":{"type":"string","description":"端口号。注意：传入端口时，表示用端口发消息；不传入端口仅传入pubId时，表示用pubId发消息。当用端口发消息时，多服务号端口（端口绑定了多个服务号）时pubId必填，单服务号端口时pubId可选，如果传入pubId，必须是此端口绑定的pubId。","example":10691218759102},"pubId":{"type":"string","description":"服务号ID。注意：传入端口时，表示用端口发消息；不传入端口仅传入pubId时，表示用pubId发消息。当用端口发消息时，多服务号端口（端口绑定了多个服务号）时pubId必填，单服务号端口时pubId可选，如果传入pubId，必须是此端口绑定的pubId。","example":"4jdw2Au2u4nggu5oncjruQ"},"uniqueId":{"type":"string","description":"IP消息的去重ID值。如果2个IP消息的此字段值相同，那么表示是相同消息，会去重。不填写此值则不去重。\n<p>场景1：当IP消息投放超时后，如果此消息在IP通道内重试，那么此值需要设置同一个ID，表达为同一条消息。手机端如果多次收到重复ID的消息，会去重。</p>\n<p>场景2：消息内容相同但是实际不重复的消息，需要发送多次，不去重，比如多次消费5元的消息，那么此字段填入不同的值。</p>\n<p>只对短时间内的消息进行去重。</p>\n"},"hash":{"type":"string","description":"发送消息的哈希值。如果手机端收到的短信的Hash值与IP消息此字段值相同，那么表示是相同消息，会去重。 <p>短信的Hash值计算规则为（端口号+短信内容的SHA256值）。端侧使用此规则计算短信的Hash值，调用者填写此字段时也使用相同规则计算，保持一致。</p> <p>场景：当IP消息投放超时后，如果此消息会转向短信通道发送，则必须填写此值。</p> <p>注意：对于图文类的消息，由于短信不支持图文能力，因此需要填入短信的Hash值，不是图文类的消息的Hash值。</p> <p>如果不填写此值，A2P平台会使用默认规则填充。方法为：端口号+模板中contents内容(在使用变量替换后，拼接到一起，带上换行)计算SHA256码。请调用者关注此值，防止出现手机在同端口内出现重复消息。</p> <p>只对短时间内的消息进行去重。</p>"},"externalId":{"type":"string","description":"外部系统ID。外部系统如果需要填写一个自己系统的编码ID，可以填写在此处。A2P平台会原路返回，长度不超过128。"},"tels":{"type":"array","description":"目标电话号码。接口支持多个。当前使用明文电话号码。1.0暂时只支持单发。","items":{"type":"string"}},"tag":{"type":"string","description":"消息发送方如果需要填写自定义内容，可以填写此字段。对于发送成功的消息，此字段会原封放入回执中。长度不超过128。"},"ttl":{"type":"integer","format":"int32","description":"消息有效期。代表多久后消息失效。单位为秒。（不允许设置低于3秒的值）"}}},"WhiteListUser":{"type":"object","required":["tel","imsi"],"properties":{"tel":{"type":"string","description":"测试用户电话号码","example":13000000000},"imsi":{"type":"string","description":"测试用户SIM卡的IMSI号码。"}}},"WhiteListUserResponse":{"type":"object","required":["tel","imsi"],"allOf":[{"$ref":"#/components/schemas/ErrorMsg"}],"properties":{"tel":{"type":"string","description":"测试用户电话号码","example":13000000000},"imsi":{"type":"string","description":"测试用户SIM卡的IMSI号码。"}}},"FailTargetDevice":{"type":"object","required":["targetDeviceIdInfo","code"],"properties":{"targetDeviceIdInfo":{"$ref":"#/components/schemas/TargetDeviceIdInfo"},"code":{"$ref":"#/components/schemas/MessageDeliverErrorCode4Tel"}}},"FailMessageUser":{"type":"object","required":["tel"],"properties":{"tel":{"type":"string","description":"用户电话号码","example":13000000000},"code":{"$ref":"#/components/schemas/MessageDeliverErrorCode4Tel"}}},"CallbackEventType":{"type":"integer","enum":[1,2,3,4,5],"description":"对应值类型：\n  <p>1-资源状态变更</p>\n  <p>2-消息回执通知</p>\n  <p>3-用户投诉</p>\n  <p>4-用户关注/取关华为服务号</p>\n  <p>5-华为服务号消息回执通知</p>\n","example":2},"ResourceType":{"type":"integer","description":"资源类型：\n  <p>2-商家，1.2版本提供状态通知能力。</p>\n  <p>24-华为服务号，提供新增，修改审核通知，提供冻结，解冻通知。</p>\n  <p>25-华为服务号主页，提供新增，修改审核通知</p>\n  <p>27-华为服务号会话，提供新增，修改审核通知</p>\n  <p>29-华为服务号自动回复，提供新增，修改审核通知</p>\n  <p>32-资源文件删除通知</p>\n","enum":[1,2,3,4,5,6,7,15,24,25,27,29,32],"example":1},"CallbackEventCommon":{"type":"object","description":"回调事件","required":["eventType"],"discriminator":{"propertyName":"eventType"},"properties":{"eventType":{"$ref":"#/components/schemas/CallbackEventType"}}},"ApproveNoticeState":{"type":"object","description":"资源审核完成时的审核信息。仅资源管理接口需要审核时才返回，不需要审核时不返回。运营人员或者定时任务发起的操作不返回此信息。","properties":{"operateType":{"type":"integer","description":"操作类型：\n  <p>1-创建</p>\n  <p>2-修改</p>\n  <p>3-运营冻结</p>\n  <p>4-运营解冻</p>\n  <p>5-商家冻结</p>\n  <p>6-商家解冻</p>\n","enum":[1,2,3,4,5,6],"example":1},"approveState":{"type":"integer","description":"审核类型：\n  <p>2-退回修改</p>\n  <p>3-驳回</p>\n  <p>4-审核通过</p>\n","enum":[2,3,4],"example":4},"desc":{"type":"string","description":"审批描述，将运营的审批意见写入"}}},"ResourceNoticeState":{"type":"integer","description":"通知时刻的资源状态：\n  <p>1-未生效</p>\n  <p>3-已生效</p>\n  <p>4-已失效</p>\n  <p>5-商家冻结</p>\n  <p>6-运营冻结</p>\n  <p>7-已删除</p>\n","enum":[1,3,4,5,6,7],"example":1},"MessageCapacityState":{"type":"integer","description":"商家消息能力状态：\n  <p>1-未生效</p>\n  <p>3-已生效</p>\n  <p>4-已失效</p>\n  <p>5-商家冻结</p>\n  <p>6-运营冻结</p>\n","enum":[1,3,4,5,6],"example":1},"ResourceStateChange":{"type":"object","required":["eventType","resourceType","resourceState"],"properties":{"resourceType":{"$ref":"#/components/schemas/ResourceType"},"resourceId":{"description":"资源唯一ID。资源类型为商家时，为商家ID；端口号时为端口号；服务号时为服务号ID；服务号菜单时为菜单ID；服务号主页时为服务号主页ID；消息模板时，为消息模板ID；消息服务时，为商家ID；服务号会话时，为会话ID；自动回复时，为自动回复ID；","example":"3dkJ2-z92fr9DuD9rNvp4A"},"resourceIds":{"description":"资源文件ID列表，和resourceId二者唯一，当resourceType=30时，携带的删除的资源文件列表","type":"array","items":{"type":"string"}},"resourceState":{"$ref":"#/components/schemas/ResourceNoticeState"},"approveState":{"$ref":"#/components/schemas/ApproveNoticeState"},"changeReason":{"type":"string","description":"修改描述/冻结原因等，包括运营冻结原因。"},"callbackSN":{"type":"string","description":"回执流水号。与资源管理接口被调用时返回的回执流水号相对应。运营人员或者定时任务发起的操作的通知，不是资源管理接口的回执，不返回此字段或者返回流水号没有在资源管理接口返回。","example":"DuD9rNvp4A3dkJ2z92fr9"},"result":{"type":"integer","description":"执行结果。资源管理接口被调用后的业务最终执行结果。运营人员或者定时任务发起的操作不返回此字段，默认为成功。取值包括：\n  <p>0-失败</p>\n  <p>1-成功</p>\n","enum":[0,1],"example":1}}},"ResourceVersion":{"type":"object","properties":{"version":{"type":"integer","format":"int64","description":"资源版本号。用于防止脏写与版本更新判断逻辑"}}},"MessageReciept":{"type":"object","required":["receipts"],"properties":{"receipts":{"type":"array","description":"消息回执。","items":{"$ref":"#/components/schemas/UserMessageReciept"}}}},"UserMessageReciept":{"type":"object","description":"每个手机的消息成功抵达回执","required":["arriveTimestamp","batchId","status"],"properties":{"tag":{"type":"string","description":"消息发送方提供的自定义消息"},"receiptSendTs":{"type":"integer","format":"int64","description":"手机上报时间戳（客户端时间），由于端侧可能有时间误差，此时间用于参考。"},"msgSendTs":{"type":"integer","format":"int64","description":"消息平台投放消息的时间戳（服务器时间）"},"msgArriveTs":{"type":"integer","format":"int64","description":"消息抵达时刻时间戳（客户端时间），由于端侧可能有时间误差，此时间用于参考。"},"batchId":{"type":"string","description":"批次ID"},"externalId":{"type":"string","description":"外部系统ID，在发送消息时传入。最多128字节"},"status":{"type":"integer","description":"<p>0-成功</p>\n<p>1-已送达</p>\n<p>2-此消息被去重丢弃(不同通道间)</p>\n<p>3-此用户消息不满足管控规则，不发送</p>\n<p>5-目标设备标识不一致丢弃</p> \n<p>6-内部异常导致消息未投递成功</p>\n<p>7-来源地址失效或冻结，消息抵达后被丢弃</p>\n<p>8-商家重复发送的IP消息被去重丢弃（IP通道内去重）</p>\n"},"to":{"type":"string","description":"发送消息使用的目的用户标识，可能是tel、udid、hwId，取值等于发送消息接口传入的值"},"toType":{"type":"integer","description":"目的标识类型：1-tel 2-udid 3-hwId"}}},"UserComplaint":{"type":"object","description":"端侧用户投诉信息","required":["complId","rsrcId","rsrcType","type","detail","complItem","merchantId"],"properties":{"complId":{"type":"string","description":"投诉ID"},"rsrcId":{"type":"string","description":"内部资源ID，例如rsrcType为服务号，则rsrcId为服务号ID"},"rsrcType":{"type":"integer","description":"资源类型:\n*4-服务号\nenum: [4]\n"},"type":{"type":"integer","description":"投诉分类:\n*1-诈骗信息\n*2-赌博色情\n*3-骚扰信息\n*4-其他\n"},"tel":{"type":"string","description":"用户联系方式"},"screenshots":{"type":"array","items":{"type":"string"}},"detail":{"type":"string","description":"投诉内容"},"complItem":{"type":"integer","description":"投诉项目:\n*1-服务号消息\n","enum":[1]},"complItemInfo":{"type":"object","additionalProperties":{"type":"string"},"example":{"id":"消息ID","port":"来源端口号","rts":"消息抵达时间戳","externalId":"外部系统ID","to":"发送消息使用的目的用户标识，可能是tel、udid、hwId","toType":1}},"merchantId":{"type":"string","description":"商家ID"}}},"PagedResult":{"properties":{"totalItems":{"type":"integer"},"pageSize":{"type":"integer"},"currentPage":{"type":"integer"}}},"PagedResult4Version":{"properties":{"totalItems":{"type":"integer"},"pageSize":{"type":"integer"}}},"PageRequest":{"required":["pageSize","currentPage"],"properties":{"pageSize":{"type":"integer"},"currentPage":{"type":"integer"}}},"PageRequest4Version":{"required":["pageSize","currentPage","targetPage","version"],"properties":{"pageSize":{"type":"integer","description":"每页数量","example":10},"version":{"type":"integer","format":"int64","description":"取query接口上次返回的最后一条数据的版本号。第一次查询时传0。","example":10001}}},"ExternalError":{"type":"object","description":"商家系统返回的错误码及描述","properties":{"code":{"type":"string","description":"错误码"},"message":{"type":"string","description":"错误描述"}}},"SystemTemplatePK":{"type":"object","required":["templateId"],"properties":{"templateId":{"type":"string","description":"模板唯一ID"}}},"SystemTemplateBizAttr":{"type":"object","required":["frameId","type","name"],"properties":{"frameId":{"type":"integer","description":"系统模板ID：\n  <p>1-固定文本类</p>\n  <p>2-可变参数文本类</p>\n  <p>3-固定图文类。此类模板不可输入标题，不可输入可变参数，不可输入按钮</p>\n","enum":[1,2,3,4]},"type":{"type":"integer","description":"消息模板类型：\n  <p>1-非实时服务通知类消息(默认)</p>\n  <p>2-实时服务通知类消息</p>\n  <p>3-验证码消息</p>\n  <p>4-营销类消息</p>\n"},"example":{"additionalProperties":{"type":"string","description":"参数的样例值，在华为运营审核时会进行内容审核。针对带参数的模板，必须填写此字段。比如{\"${param1}\":\"华为技术有限公司\"}"},"example":{"${param1}":"华为技术"}},"name":{"type":"string","description":"模板名称"}}},"SystemTemplate":{"type":"object","required":["body"],"description":"模板信息","allOf":[{"$ref":"#/components/schemas/ResourceVersion"},{"$ref":"#/components/schemas/SystemTemplatePK"},{"$ref":"#/components/schemas/SystemTemplateBizAttr"}],"properties":{"body":{"$ref":"#/components/schemas/TemplateBody"},"activateState":{"type":"integer","description":"模板当前状态"}}},"PagedSystemTemplates":{"allOf":[{"$ref":"#/components/schemas/PagedResult"}],"properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/SystemTemplate"}}}},"PortPubRelation":{"type":"object","description":"端口服务号绑定关系","required":["port","pubId"],"properties":{"port":{"type":"string","description":"端口号。","example":10691218759102},"pubId":{"type":"string","description":"服务号ID","example":"4jdw2Au2u4nggu5oncjruQ"}}},"PortPubRelationWithConditon":{"type":"object","description":"端口服务号绑定关系，包括匹配条件condition","required":["port","pubId"],"allOf":[{"$ref":"#/components/schemas/PortPubRelation"}],"properties":{"condition":{"type":"object","description":"端口服务号一对多时，1个端口可以绑定多个不同的服务号，必须是不同的匹配条件condition，当前仅支持不同的区域。不填时，默认中国。","required":["conditionType","conditionValue"],"properties":{"conditionType":{"type":"integer","description":"条件类型：1-区域编码","example":1},"conditionValue":{"type":"string","description":"条件值。","example":320000}}}}},"PortPubRelationWithConditonVersion":{"type":"object","description":"端口服务号绑定关系，包括匹配条件condition","required":["port","pubId","version"],"allOf":[{"$ref":"#/components/schemas/PortPubRelationWithConditon"},{"$ref":"#/components/schemas/ResourceVersion"}]},"ConditionForPortPub":{"type":"object","description":"端口服务号绑定关系查询条件","required":["merchantId"],"properties":{"merchantId":{"type":"string","description":"商家ID","example":"3dkJ2-z92fr9DuD9rNvp4A"},"pubId":{"type":"string","description":"服务号ID。说明：服务号/端口号，二者必须传入一个。","example":"4jdw2Au2u4nggu5oncjruQ"},"port":{"type":"string","description":"端口号。说明：服务号/端口号，二者必须传入一个。","example":10691218759102}}},"CallbackSN":{"type":"object","description":"接口返回的回执流水号","properties":{"callbackSN":{"type":"string","description":"回执流水号。如果返回回执流水号，说明业务异步处理，需等待回执，回执会包含业务执行结果；没有返回回执流水号（没有此字段或者字段值为空），说明没有回执，标识业务已执行完成。","example":"DuD9rNvp4A3dkJ2z92fr9"}}},"FollowChange":{"type":"object","description":"端侧用户关注/取关华为服务号信息","required":["id","pubId","merchantId","unionId","openId","oprTimestamp","oprType"],"properties":{"id":{"type":"string","description":"唯一标识。可用于消息去重。"},"pubId":{"type":"string","description":"被关注的华为服务号ID"},"merchantId":{"type":"string","description":"华为服务号所属的商家ID"},"unionId":{"type":"string","description":"关注者的用户标识unionId"},"openId":{"type":"string","description":"关注者的用户标识openId"},"oprTimestamp":{"type":"integer","format":"int64","description":"关注/取关发生的时间戳"},"oprType":{"type":"integer","description":"操作类型：\n<p>0-取关</p>\n<p>1-关注</p>\n","enum":[0,1]}}},"TargetHwPub":{"type":"object","required":["pubId","merchantId"],"properties":{"pubId":{"type":"string","description":"华为服务号ID","example":"4jdw2Au2u4nggu5oncjruQ"},"merchantId":{"type":"string","description":"商家ID","example":"3dkJ2-z92fr9DuD9rNvp4A"}}},"HwPubService":{"type":"object","description":"华为服务号基本信息","required":["merchantId","name","abstract","logoImg","validUntil","orderYears","account","accountType","accountStatus","pubAppId","sloganImg","slogan","lev1IndustryCode","lev2IndustryCode"],"properties":{"name":{"type":"string","description":"华为服务号名称。全局唯一。","example":"华为技术有限公司"},"abstract":{"type":"string","description":"华为服务号简介信息"},"logoImg":{"type":"string","description":"Logo图片文件上传后的ID","example":"3dkJ2-z92fr9DuD9rNvp4A"},"authorizationFiles":{"type":"string","description":"授权证明图片文件上传后的ID列表","example":["3dkJ2-z92fr9DuD9rNvp4A","3dkJ2-z92fr9DuD9rNvpB"]},"orderYears":{"type":"integer","description":"订购年份，按年计算。新增时输入。","example":1},"account":{"type":"string","description":"华为服务号的华为帐号。如果2-移动手机号账户，需带国家码，当前版本仅支持0086。"},"accountType":{"type":"integer","description":"华为帐号类型：0-普通用户名账号 1-EMAIL账户 2-移动手机号账户"},"accountStatus":{"type":"integer","description":"华为帐号的状态：0-待检测（预留） 1-生效 2-已销户"},"pubAppId":{"type":"string","description":"服务号的appId。用户关注此服务号时，获取关注用户openId/unionId时使用。"},"sloganImg":{"type":"string","description":"宣传语图片，商家宣传语对应的图片资源ID","example":"3dkJ2-z92fr9DuD9rNvp4A"},"slogan":{"type":"string","description":"宣传语，用于在服务号上展示商家宣传语"},"lev1IndustryCode":{"type":"string","description":"一级行业分类ID"},"lev2IndustryCode":{"type":"string","description":"二级行业分类ID"},"contact":{"type":"string","description":"联系人。"},"tel":{"type":"string","description":"联系电话。"},"email":{"type":"string","description":"联系邮箱。"}}},"HwPubService4Add":{"type":"object","description":"新增华为服务号","required":["merchantId","name","abstract","logoImg","validUntil","orderYears","account","accountType","pubAppId","sloganImg","slogan","lev1IndustryCode","lev2IndustryCode"],"properties":{"name":{"type":"string","description":"华为服务号名称。全局唯一。","example":"华为技术有限公司"},"abstract":{"type":"string","description":"华为服务号简介信息"},"logoImg":{"type":"string","description":"Logo图片文件上传后的ID","example":"3dkJ2-z92fr9DuD9rNvp4A"},"authorizationFiles":{"type":"string","description":"授权证明图片文件上传后的ID列表","example":["3dkJ2-z92fr9DuD9rNvp4A","3dkJ2-z92fr9DuD9rNvpB"]},"orderYears":{"type":"integer","description":"订购年份，按年计算。新增时输入。","example":1},"lev1IndustryCode":{"type":"string","description":"一级行业分类ID"},"lev2IndustryCode":{"type":"string","description":"二级行业分类ID"},"account":{"type":"string","description":"华为服务号的华为帐号。如果2-移动手机号账户，需带国家码，当前版本仅支持0086。"},"accountType":{"type":"integer","description":"华为帐号类型：0-普通用户名账号 1-EMAIL账户 2-移动手机号账户"},"pubAppId":{"type":"string","description":"服务号的appId。用户关注此服务号时，获取关注用户openId/unionId时使用。"},"sloganImg":{"type":"string","description":"宣传语图片，商家宣传语对应的图片资源ID","example":"3dkJ2-z92fr9DuD9rNvp4A"},"slogan":{"type":"string","description":"宣传语，用于在服务号上展示商家宣传语"},"contact":{"type":"string","description":"联系人。"},"tel":{"type":"string","description":"联系电话。"},"email":{"type":"string","description":"联系邮箱。"}}},"HwPubService4Update":{"type":"object","description":"修改华为服务号","properties":{"name":{"type":"string","description":"华为服务号名称。全局唯一。","example":"华为技术有限公司"},"abstract":{"type":"string","description":"华为服务号简介信息"},"logoImg":{"type":"string","description":"Logo图片文件上传后的ID","example":"3dkJ2-z92fr9DuD9rNvp4A"},"authorizationFiles":{"type":"string","description":"授权证明图片文件上传后的ID列表","example":["3dkJ2-z92fr9DuD9rNvp4A","3dkJ2-z92fr9DuD9rNvpB"]},"sloganImg":{"type":"string","description":"宣传语图片，商家宣传语对应的图片资源ID","example":"3dkJ2-z92fr9DuD9rNvp4A"},"slogan":{"type":"string","description":"宣传语，用于在服务号上展示商家宣传语"},"lev1IndustryCode":{"type":"string","description":"一级行业分类ID"},"lev2IndustryCode":{"type":"string","description":"二级行业分类ID"},"contact":{"type":"string","description":"联系人。"},"tel":{"type":"string","description":"联系电话。"},"email":{"type":"string","description":"联系邮箱。"}}},"HwPubProfile":{"type":"object","description":"华为服务号摘要信息","allOf":[{"$ref":"#/components/schemas/TargetHwPub"},{"$ref":"#/components/schemas/ResourceVersion"}],"required":["version","state","validUntil"],"properties":{"validUntil":{"type":"string","description":"有效期结束时间。查询时获得，国内数据中心按东八区为准，精确到天。格式为：YYYY-MM-DD"},"state":{"$ref":"#/components/schemas/PubState"}}},"HwPubDetail":{"type":"object","allOf":[{"$ref":"#/components/schemas/HwPubService"},{"$ref":"#/components/schemas/HwPubProfile"}]},"TargetHwPubPortal":{"required":["portalId"],"allOf":[{"$ref":"#/components/schemas/TargetHwPub"}],"properties":{"portalId":{"type":"string","description":"华为服务号主页ID，一期中服务号与主页为一对一关系，后续一个服务号能够支持多个主页。","example":"3dkJ2-z92fr9DuD9rNvp4A"}}},"HwPubPortal":{"type":"object","description":"华为服务号主页","required":["backgroundImg","iconMenu"],"properties":{"backgroundImg":{"type":"string","description":"上传完成后背景图片的ID","example":"3dkJ2-z92fr9DuD9rNvp4A"},"abstract":{"type":"string","description":"主页简介说明","example":"这是一段主页说明"},"iconMenu":{"type":"array","description":"图标菜单","items":{"type":"object","allOf":[{"$ref":"#/components/schemas/IconMenu"}]}},"banner":{"type":"array","description":"Banner组件","items":{"type":"object","allOf":[{"$ref":"#/components/schemas/Banner"}]}},"horizontalSlide":{"type":"array","description":"横滑组件","items":{"type":"object","allOf":[{"$ref":"#/components/schemas/HorizontalSlide"}]}},"graphicComponent":{"type":"array","description":"图文组件","items":{"type":"object","allOf":[{"$ref":"#/components/schemas/GraphicComponent"}]}}}},"HwPubChat4Add":{"type":"object","description":"华为服务号会话","allOf":[{"$ref":"#/components/schemas/HwPubChat"}]},"HwPubChat4Update":{"type":"object","description":"华为服务号会话","required":["items"],"properties":{"items":{"type":"array","description":"会话消息","items":{"type":"object","allOf":[{"$ref":"#/components/schemas/chatMsg"}]}}}},"HwPubChatProfile":{"type":"object","required":["state","version"],"description":"会话信息","allOf":[{"$ref":"#/components/schemas/TargetHwPubChat"},{"$ref":"#/components/schemas/HwPubChat"},{"$ref":"#/components/schemas/ResourceVersion"}],"properties":{"state":{"$ref":"#/components/schemas/ChatState"}}},"HwPubChat":{"type":"object","description":"华为服务号会话","required":["items"],"properties":{"items":{"type":"array","description":"会话消息","items":{"type":"object","allOf":[{"$ref":"#/components/schemas/chatMsg"}]}}}},"TargetHwPubChat":{"required":["chatId"],"allOf":[{"$ref":"#/components/schemas/TargetHwPub"}],"properties":{"chatId":{"type":"string","description":"华为服务号会话ID，服务号与会话为一对一关系。","example":"3dkJ2-z92fr9DuD9rNvp4A"}}},"TargetHwPubChatForGet":{"allOf":[{"$ref":"#/components/schemas/TargetHwPub"}],"properties":{"chatId":{"type":"string","description":"华为服务号会话ID，服务号与会话为一对一关系。","example":"3dkJ2-z92fr9DuD9rNvp4A"}}},"chatMsg":{"type":"object","description":"会话消息体","required":["itemId","itemType","itemText"],"properties":{"itemId":{"type":"string","description":"会话菜单ID 北向接口传入，同一自主会话下唯一"},"parentItemId":{"type":"string","description":"父会话菜单ID，北向接口传入，顶层会话菜单父节点ID为空"},"itemText":{"type":"string","description":"自主服务会话内容"},"itemType":{"type":"integer","description":"会话节点类型：\n  *1-节点：有下级节点 \n  *2-叶子节点：文字链接（1，打开URL 默认通过webview方式加载，3，打开APP查找本地包名，如果该应用已经安装，则直接跳转到该应用。如果该应用尚未安装，则跳转到应用市场该应用的下载界面。4，打开快应用）\n  *3-叶子节点：文本\n","enum":[1,2,3]},"itemLink":{"type":"Object","description":"链接信息，JSON格式。itemAct值为2时填写，可能为URL、包等","$ref":"#/components/schemas/LinkInfo"}}},"ChatState":{"type":"integer","description":"服务号会话状态：\n  <p>1-未生效</p>\n  <p>3-已生效</p>\n  <p>4-已失效</p>\n  <p>5-商家冻结</p>\n  <p>6-运营冻结</p>\n","enum":[1,3,4,5,6]},"HwPubPortal4Add":{"type":"object","description":"华为服务号主页","allOf":[{"$ref":"#/components/schemas/HwPubPortal"}]},"HwPubPortal4Update":{"type":"object","description":"华为服务号主页","properties":{"backgroundImg":{"type":"string","description":"上传完成后背景图片的ID","example":"3dkJ2-z92fr9DuD9rNvp4A"},"abstract":{"type":"string","description":"主页简介说明","example":"这是一段主页说明"},"iconMenu":{"type":"array","description":"图标菜单","items":{"type":"object","allOf":[{"$ref":"#/components/schemas/IconMenu"}]}},"banner":{"type":"array","description":"Banner组件","items":{"type":"object","allOf":[{"$ref":"#/components/schemas/Banner"}]}},"horizontalSlide":{"type":"array","description":"横滑组件","items":{"type":"object","allOf":[{"$ref":"#/components/schemas/HorizontalSlide"}]}},"graphicComponent":{"type":"array","description":"图文组件","items":{"type":"object","allOf":[{"$ref":"#/components/schemas/GraphicComponent"}]}}}},"HwPubPortalProfile":{"type":"object","required":["state","pubName","pubLogo","version"],"description":"菜单信息","allOf":[{"$ref":"#/components/schemas/TargetHwPubPortal"},{"$ref":"#/components/schemas/HwPubPortal"},{"$ref":"#/components/schemas/ResourceVersion"}],"properties":{"state":{"$ref":"#/components/schemas/PortalState"},"pubName":{"type":"string","description":"服务号名称","example":"华为技术有限公司"},"pubLogo":{"type":"string","description":"服务号Logo在上传后提供的ID","example":"3dkJ2-z92fr9DuD9rNvp4A"}}},"IconMenu":{"type":"object","description":"图标菜单","required":["img","linkInfo","title"],"properties":{"img":{"type":"string","description":"图片ID"},"linkInfo":{"$ref":"#/components/schemas/LinkInfo"},"title":{"type":"string","description":"主标题"}}},"Banner":{"type":"object","description":"Banner组件","required":["img","linkInfo"],"properties":{"img":{"type":"string","description":"图片ID"},"linkInfo":{"$ref":"#/components/schemas/LinkInfo"}}},"HorizontalSlide":{"type":"object","description":"横滑组件","required":["img","linkInfo","title"],"properties":{"img":{"type":"string","description":"图片ID"},"linkInfo":{"$ref":"#/components/schemas/LinkInfo"},"title":{"type":"string","description":"主标题"},"subTitle":{"type":"string","description":"副标题"}}},"GraphicComponent":{"type":"object","description":"图文组件","required":["img","linkInfo"],"properties":{"img":{"type":"string","description":"图片ID"},"linkInfo":{"$ref":"#/components/schemas/LinkInfo"},"title":{"type":"string","description":"主标题"},"subTitle":{"type":"string","description":"副标题"}}},"LinkInfo":{"type":"object","description":"链接地址的详细信息，支持多种链接。","required":["linkType","value","extMsg"],"properties":{"linkType":{"type":"integer","description":"菜单动作类型：\n  <p>1-打开URL</p>\n  <p>3-打开APP</p>\n  <p>4-打开快应用</p>\n","example":1},"value":{"type":"string","description":"对应值类型：\n  <p>1-跳转URL。此链接必须为https链接。如果此地址非http链接，会返回错误。</p>\n  <p>3-APP的跳转deeplink</p>\n  <p>4-快应用跳转的deeplink</p>\n"},"extMsg":{"additionalProperties":{"type":"string","description":"额外需要携带的信息。 <p>当跳转快应用时，需要写明依赖的快应用引擎版本号dependEngineVer</p>  <p>当跳转应用时，需要填写应用的包名packageName</p> <p>当跳转URL时，需要填写webview的显示标题webTitle</p> <p>上述几种跳转，都必须填写第三方服务名thirdServiceName</p>\n"},"example":{"dependEngineVer":"1040","thirdServiceName":"华为天际通"}}}},"HwPubMessage4Notify":{"type":"object","description":"通知消息","required":["targetId"],"allOf":[{"$ref":"#/components/schemas/TargetHwPub"},{"$ref":"#/components/schemas/TargetTemplate"},{"$ref":"#/components/schemas/MessageBizAttr"}],"properties":{"vars":{"$ref":"#/components/schemas/TemplateVariableWithValue"},"targetId":{"$ref":"#/components/schemas/TargetId"}}},"MessageBizAttr":{"type":"object","required":["uniqueId"],"properties":{"uniqueId":{"type":"string","description":"消息的去重ID值。如果2个消息的此字段值相同，那么表示是相同消息，会去重。不填写此值则不去重。 <p>场景1：当消息投放超时，重试，那么此值需要设置同一个ID，表达为同一条消息。手机端如果多次收到重复ID的消息，会去重。</p> <p>场景2：消息内容相同但是实际不重复的消息，需要发送多次，不去重，比如多次消费5元的消息，那么此字段填入不同的值。</p>                     \n"},"externalId":{"type":"string","description":"外部系统ID。外部系统如果需要填写一个自己系统的编码ID，可以填写在此处。平台会原路返回，长度不超过128。"},"tag":{"type":"string","description":"消息发送方如果需要填写自定义内容，可以填写此字段。对于发送成功的消息，此字段会原封放入回执中。长度不超过128。"}}},"TargetId":{"type":"object","description":"目标用户标识。","required":["idType","idValue"],"properties":{"idType":{"type":"integer","description":"id类型。4-openId"},"idValue":{"type":"string","description":"id值。"}}},"HwPubMessageReciept":{"type":"object","required":["receipts"],"properties":{"receipts":{"type":"array","description":"消息回执。","items":{"$ref":"#/components/schemas/HwPubUserMessageReciept"}}}},"HwPubUserMessageReciept":{"type":"object","description":"每个手机的消息成功抵达回执","required":["arriveTimestamp","batchId","status"],"properties":{"tag":{"type":"string","description":"消息发送方提供的自定义消息"},"receiptSendTs":{"type":"integer","format":"int64","description":"手机上报时间戳（客户端时间），由于端侧可能有时间误差，此时间用于参考。"},"msgSendTs":{"type":"integer","format":"int64","description":"消息平台投放消息的时间戳（服务器时间）"},"msgArriveTs":{"type":"integer","format":"int64","description":"消息抵达时刻时间戳（客户端时间），由于端侧可能有时间误差，此时间用于参考。"},"batchId":{"type":"string","description":"批次ID"},"externalId":{"type":"string","description":"外部系统ID，在发送消息时传入。最多128字节"},"status":{"type":"integer","description":"<p>0-成功</p>\n<p>1-已送达</p>\n<p>3-此用户消息不满足管控规则，不发送</p>\n<p>5-目标设备标识不一致丢弃</p> \n<p>6-内部异常导致消息未投递成功</p>\n<p>7-来源地址失效或冻结，消息抵达后被丢弃</p>\n<p>8-商家重复发送的IP消息被去重丢弃（IP通道内去重）</p>\n<p>10-服务消息异常（相同服务订购单号，已发送服务结束消息后又发送了服务进行中的消息）</p>\n"},"to":{"type":"string","description":"发送消息使用的目的用户标识，可能是openId，取值等于发送消息接口传入的值"},"toType":{"type":"integer","description":"目的标识类型：4-openId"},"msgId":{"type":"string","description":"消息ID"},"parentMsgId":{"type":"string","description":"父消息ID。目标用户有多个设备时，会发送多条消息，这些消息的父消息ID相同。"}}}},"parameters":{"AccessToken":{"name":"access_token","in":"header","description":"开发者接入后获取到的Token。获取方式请参阅https://developer.huawei.com/consumer/cn/devservice/doc/30101的Client Credentials模式。","required":true,"schema":{"type":"string"}},"APPID":{"name":"appid","in":"header","description":"开发者的APPID","required":true,"schema":{"type":"string"}},"Mode":{"name":"mode","in":"header","description":"对应值类型：\n  <p>0-运行模式(默认)</p>\n  <p>1-测试模式。此模式下的管理接口会构造模拟返回与审批结果返回。此模式在第一期版本中暂不提供</p>\n","schema":{"type":"integer","enum":[0,1]},"deprecated":true},"ContentTypeJson":{"name":"Content-Type","in":"header","description":"填写application/json","required":true,"schema":{"type":"string","example":"application/json"}},"ContentTypeFormData":{"name":"Content-Type","in":"header","description":"填写multipart/form-data","required":true,"schema":{"type":"string","example":"multipart/form-data"}},"AcceptJson":{"name":"Accept","in":"header","description":"填写application/json","required":true,"schema":{"type":"string","example":"application/json"}},"AcceptForData":{"name":"Accept","in":"header","description":"填写application/octet-stream","required":true,"schema":{"type":"string","example":"application/octet-stream"}},"CallbackEventType":{"name":"eventType","in":"header","description":"标识回调事件类型：\n  <p>1-资源状态变更</p>\n  <p>2-消息回执通知</p>\n  <p>3-用户投诉</p>\n  <p>4-用户关注/取关华为服务号</p>\n  <p>5-华为服务号消息回执通知</p>\n","required":true,"schema":{"type":"integer"}},"CallbackSign":{"name":"sign","in":"header","description":"回复消息时的消息签名。使用appid+timestamp+随机数，进行hmac-sha256签名（回调签名密钥），防止仿冒。","required":true,"schema":{"type":"string"}},"CallbackNonce":{"name":"nonce","in":"header","description":"回复消息时的随机数字，用于验签","required":true,"schema":{"type":"integer"}},"CallbackTimestamp":{"name":"timestamp","in":"header","description":"回复消息时时间戳，用于验签","required":true,"schema":{"type":"integer"}},"CallbackTraceId":{"name":"traceId","in":"header","description":"跟踪ID。","required":true,"schema":{"type":"string"}}},"responses":{"401InvalidSession":{"description":"认证失败"},"404Notfound":{"description":"资源未找到"},"500InternalError":{"description":"内部错误","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/ErrorMsg"}]}}}},"500InternalError4MerchantAdd":{"description":"内部错误","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/ErrorMsg4MerchantAdd"}]}}}},"500InternalError4MerchantUpdate":{"description":"内部错误","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/ErrorMsg4MerchantUpdate"}]}}}},"500InternalErrorCommon":{"description":"内部错误","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/ErrorMsg4Common"}]}}}},"500InternalError4PortAdd":{"description":"内部错误","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/ErrorMsg4PortAdd"}]}}}},"500InternalError4TemplateAdd":{"description":"内部错误","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/ErrorMsg4TemplateAdd"}]}}}},"500InternalError4TemplateDelete":{"description":"内部错误","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/ErrorMsg4TemplateDelete"}]}}}},"500InternalError4MediaUpload":{"description":"内部错误","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/ErrorMsg4MediaUpload"}]}}}},"500InternalError4PubAdd":{"description":"内部错误","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/ErrorMsg4PubAdd"}]}}}},"500InternalError4PubUpdate":{"description":"内部错误","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/ErrorMsg4PubUpdate"}]}}}},"500InternalError4PubFreeze":{"description":"内部错误","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/ErrorMsg4PubFreeze"}]}}}},"500InternalError4PubmenuAdd":{"description":"内部错误","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/ErrorMsg4PubmenuAdd"}]}}}},"500InternalError4PubmenuUpdate":{"description":"内部错误","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/ErrorMsg4PubmenuUpdate"}]}}}},"500InternalErr
[...]
